/*!
 * - Name          : steelseries.js
 * - Authors       : Gerrit Grunwald, Mark Crossley
 * - Last modified : 01.12.2015
 * - Revision      : 0.14.16
 *
 * Copyright (c) 2011, Gerrit Grunwald, Mark Crossley
 * All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without modification, are permitted
 *  provided that the following conditions are met:
 *
 *  # Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 *  # Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided with the distribution.
 *
 *   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 *   BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT
 *   SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 *   DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES, LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 *   INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
 *   OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
;var steelseries=(function(){var L=Math.PI*0.5,D=Math.PI*2,ac=Math.PI,i=Math.PI/180,b=180/Math.PI,x=document,ao="digital-7mono,LCDMono2Ultra,Arial,Verdana,sans-serif",P="Arial,Verdana,sans-serif";var Q=function(cO,bk){bk=bk||{};var bH=(undefined===bk.gaugeType?steelseries.GaugeType.TYPE4:bk.gaugeType),bz=(undefined===bk.size?0:bk.size),cb=(undefined===bk.minValue?0:bk.minValue),b7=(undefined===bk.maxValue?(cb+100):bk.maxValue),bS=(undefined===bk.niceScale?true:bk.niceScale),ct=(undefined===bk.threshold?(b7-cb)/2+cb:bk.threshold),bM=(undefined===bk.thresholdRising?true:bk.thresholdRising),cm=(undefined===bk.section?null:bk.section),aI=(undefined===bk.area?null:bk.area),bK=(undefined===bk.titleString?"":bk.titleString),aM=(undefined===bk.unitString?"":bk.unitString),cI=(undefined===bk.frameDesign?steelseries.FrameDesign.METAL:bk.frameDesign),cC=(undefined===bk.frameVisible?true:bk.frameVisible),bi=(undefined===bk.backgroundColor?steelseries.BackgroundColor.DARK_GRAY:bk.backgroundColor),cM=(undefined===bk.backgroundVisible?true:bk.backgroundVisible),cd=(undefined===bk.pointerType?steelseries.PointerType.TYPE1:bk.pointerType),cw=(undefined===bk.pointerColor?steelseries.ColorDef.RED:bk.pointerColor),cG=(undefined===bk.knobType?steelseries.KnobType.STANDARD_KNOB:bk.knobType),bO=(undefined===bk.knobStyle?steelseries.KnobStyle.SILVER:bk.knobStyle),b9=(undefined===bk.lcdColor?steelseries.LcdColor.STANDARD:bk.lcdColor),a5=(undefined===bk.lcdVisible?true:bk.lcdVisible),cJ=(undefined===bk.lcdDecimals?2:bk.lcdDecimals),bg=(undefined===bk.digitalFont?false:bk.digitalFont),cq=(undefined===bk.fractionalScaleDecimals?1:bk.fractionalScaleDecimals),bm=(undefined===bk.ledColor?steelseries.LedColor.RED_LED:bk.ledColor),aL=(undefined===bk.ledVisible?true:bk.ledVisible),bR=(undefined===bk.userLedColor?steelseries.LedColor.GREEN_LED:bk.userLedColor),a1=(undefined===bk.userLedVisible?false:bk.userLedVisible),cN=(undefined===bk.thresholdVisible?true:bk.thresholdVisible),by=(undefined===bk.minMeasuredValueVisible?false:bk.minMeasuredValueVisible),bs=(undefined===bk.maxMeasuredValueVisible?false:bk.maxMeasuredValueVisible),cB=(undefined===bk.foregroundType?steelseries.ForegroundType.TYPE1:bk.foregroundType),cg=(undefined===bk.foregroundVisible?true:bk.foregroundVisible),bl=(undefined===bk.labelNumberFormat?steelseries.LabelNumberFormat.STANDARD:bk.labelNumberFormat),cF=(undefined===bk.playAlarm?false:bk.playAlarm),aK=(undefined===bk.alarmSound?false:bk.alarmSound),bW=(undefined===bk.customLayer?null:bk.customLayer),bQ=(undefined===bk.tickLabelOrientation?(bH===steelseries.GaugeType.TYPE1?steelseries.TickLabelOrientation.TANGENT:steelseries.TickLabelOrientation.NORMAL):bk.tickLabelOrientation),bE=(undefined===bk.trendVisible?false:bk.trendVisible),b5=(undefined===bk.trendColors?[steelseries.LedColor.RED_LED,steelseries.LedColor.GREEN_LED,steelseries.LedColor.CYAN_LED]:bk.trendColors),aV=(undefined===bk.useOdometer?false:bk.useOdometer),cn=(undefined===bk.odometerParams?{}:bk.odometerParams),aX=(undefined===bk.odometerUseValue?false:bk.odometerUseValue),cz=(undefined===bk.fullScaleDeflectionTime?2.5:bk.fullScaleDeflectionTime);var a0=o(cO);if(bz===0){bz=Math.min(a0.canvas.width,a0.canvas.height)}a0.canvas.width=bz;a0.canvas.height=bz;var aB;if(cF&&aK!==false){aB=x.createElement("audio");aB.setAttribute("src",aK);aB.setAttribute("preload","auto")}var bA=cb;var ch=cb;var co=this;var a9=b7;var bx=cb;var be=false;var aF=false;var b6=0;var cp=0;var aS;var b2=false;var cu=steelseries.TrendState.OFF;var bw=bz*0.06;var bo=bz*0.29;var bn=bz*0.36;var cv;var b8;var bf;var cj;var cs;var bp=b8+(bA-cb)*cs;var aO=bz;var cH=bz;var bb=aO/2;var a8=cH/2;var aU=bz*0.093457;var aJ=0.6*aO;var aH=0.4*cH;var bI=bH===steelseries.GaugeType.TYPE3?0.6*aO:bb-aU/2;var bG=bH===steelseries.GaugeType.TYPE3?0.72*cH:0.75*cH;var cr=Math.floor(aO/10);var bU=cr+"px "+P;var bj=cr+"px "+ao;var bc=cH*0.13;var a7=aO*0.4;var cE=(aO-a7)/2;var cD=cH*0.57;var bt,br=cH*0.61;var bJ=aO*0.006;var aE=false;var aZ=cb;var bh=b7;var aN=b7-cb;var bv=bh-aZ;var bN=0;var aT=0;var bD=10;var cA=10;var a3=function a3(){if(bS){aN=f(b7-cb,false);aT=f(aN/(cA-1),true);aZ=Math.floor(cb/aT)*aT;bh=Math.ceil(b7/aT)*aT;bN=f(aT/(bD-1),true);cb=aZ;b7=bh;bv=b7-cb}else{aN=(b7-cb);aZ=cb;bh=b7;bv=aN;aT=f(aN/(cA-1),true);bN=f(aT/(bD-1),true)}switch(bH.type){case"type1":cv=0;b8=ac;bf=L;cj=L;cs=cj/bv;break;case"type2":cv=0;b8=ac;bf=L;cj=ac;cs=cj/bv;break;case"type3":cv=0;b8=L;bf=0;cj=1.5*ac;cs=cj/bv;break;case"type4":default:cv=60*i;b8=L+(cv/2);bf=0;cj=D-cv;cs=cj/bv;break}bp=b8+(bA-cb)*cs};var b0=F(bz,bz);var bq=b0.getContext("2d");var bB=F(bz,bz);var bF=bB.getContext("2d");var ce;var a2=F(aU,aU);var bu=a2.getContext("2d");var bd=F(aU,aU);var aD=bd.getContext("2d");var bZ=bd;var cP=F(aU,aU);var aY=cP.getContext("2d");var aQ=F(aU,aU);var ci=aQ.getContext("2d");var ca=aQ;var a6=F(Math.ceil(bz*0.028037),Math.ceil(bz*0.028037));var cx=a6.getContext("2d");var bC=F(Math.ceil(bz*0.028037),Math.ceil(bz*0.028037));var aG=bC.getContext("2d");var bL=F(bz,bz);var cL=bL.getContext("2d");var ck=F(bz,bz);var aP=ck.getContext("2d");var bV,cc,a4,ba;var bT,bY,cy;if(aV&&a5){bY=F(10,10);cy=bY.getContext("2d")}var cl=function(cQ,cR){cQ.restore();cQ.save();cQ.textAlign="right";cQ.strokeStyle=b9.textColor;cQ.fillStyle=b9.textColor;if(b9===steelseries.LcdColor.STANDARD||b9===steelseries.LcdColor.STANDARD_GREEN){cQ.shadowColor="gray";cQ.shadowOffsetX=aO*0.007;cQ.shadowOffsetY=aO*0.007;cQ.shadowBlur=aO*0.007}if(bg){cQ.font=bj}else{cQ.font=bU}cQ.fillText(cR.toFixed(cJ),cE+a7-a7*0.05,cD+bc*0.5+cr*0.38,a7*0.9);cQ.restore()};var b1=function(cQ){cQ.save();if("type1"===bH.type){cQ.drawImage(B(Math.ceil(cH*0.037383),steelseries.KnobType.STANDARD_KNOB,bO),aO*0.523364,cH*0.130841)}if("type1"===bH.type||"type2"===bH.type){cQ.drawImage(B(Math.ceil(cH*0.037383),steelseries.KnobType.STANDARD_KNOB,bO),aO*0.130841,cH*0.514018)}if("type2"===bH.type||"type3"===bH.type){cQ.drawImage(B(Math.ceil(cH*0.037383),steelseries.KnobType.STANDARD_KNOB,bO),aO*0.831775,cH*0.514018)}if("type3"===bH.type){cQ.drawImage(B(Math.ceil(cH*0.037383),steelseries.KnobType.STANDARD_KNOB,bO),aO*0.523364,cH*0.831775)}if("type4"===bH.type){cQ.drawImage(B(Math.ceil(cH*0.037383),steelseries.KnobType.STANDARD_KNOB,bO),aO*0.336448,cH*0.803738);cQ.drawImage(B(Math.ceil(cH*0.037383),steelseries.KnobType.STANDARD_KNOB,bO),aO*0.626168,cH*0.803738)}cQ.restore()};var cK=function(){var cS=x.createElement("canvas");cS.width=Math.ceil(bz*0.046728);cS.height=Math.ceil(cS.width*0.9);var cR=cS.getContext("2d");cR.save();var cQ=cR.createLinearGradient(0,0.1,0,cS.height*0.9);cQ.addColorStop(0,"#520000");cQ.addColorStop(0.3,"#fc1d00");cQ.addColorStop(0.59,"#fc1d00");cQ.addColorStop(1,"#520000");cR.fillStyle=cQ;cR.beginPath();cR.moveTo(cS.width*0.5,0.1);cR.lineTo(cS.width*0.9,cS.height*0.9);cR.lineTo(cS.width*0.1,cS.height*0.9);cR.lineTo(cS.width*0.5,0.1);cR.closePath();cR.fill();cR.strokeStyle="#FFFFFF";cR.stroke();cR.restore();return cS};var aC=function(cQ,cW,cT,cR,cU){if(cW<cb){cW=cb}else{if(cW>b7){cW=b7}}if(cT<cb){cT=cb}else{if(cT>b7){cT=b7}}if(cW>=cT){return}cQ.save();cQ.strokeStyle=cR;cQ.fillStyle=cR;cQ.lineWidth=aO*0.035;var cS=(cj/bv*cW-cj/bv*cb);var cV=cS+(cT-cW)/(bv/cj);cQ.translate(bb,a8);cQ.rotate(b8);cQ.beginPath();if(cU){cQ.moveTo(0,0);cQ.arc(0,0,aO*0.365-cQ.lineWidth/2,cS,cV,false)}else{cQ.arc(0,0,aO*0.365,cS,cV,false)}if(cU){cQ.moveTo(0,0);cQ.fill()}else{cQ.stroke()}cQ.translate(-bb,-a8);cQ.restore()};var bX=function(c5,cY){var c6=Math.ceil(aO*0.04),cV=b8,cZ=cs*bN,c1,cX=cb,c4=bD-1,cU=aO*0.38,cS=aO*0.35,c0=aO*0.355,cR=aO*0.36,c2=aO*0.3,cQ=aO*0.1,cT=bD/2,c3=parseFloat(b7.toFixed(2)),cW;bi.labelColor.setAlpha(1);c5.save();c5.textAlign="center";c5.textBaseline="middle";c5.font=c6+"px "+P;c5.strokeStyle=bi.labelColor.getRgbaColor();c5.fillStyle=bi.labelColor.getRgbaColor();c5.translate(bb,a8);c5.rotate(b8);if(bH.type==="type1"||bH.type==="type2"){cQ=aO*0.04}for(cW=cb;parseFloat(cW.toFixed(2))<=c3;cW+=bN){c1=cZ+L;c4++;if(c4===bD){c5.lineWidth=1.5;c5.beginPath();c5.moveTo(cU,0);c5.lineTo(cS,0);c5.closePath();c5.stroke();c5.save();c5.translate(c2,0);switch(bQ.type){case"horizontal":c1=-cV;break;case"tangent":c1=(cV<=L+ac?ac:0);break;case"normal":default:c1=L;break}c5.rotate(c1);switch(cY.format){case"fractional":c5.fillText((cX.toFixed(cq)),0,0,cQ);break;case"scientific":c5.fillText((cX.toPrecision(2)),0,0,cQ);break;case"standard":default:c5.fillText((cX.toFixed(0)),0,0,cQ);break}c5.translate(-c2,0);c5.restore();cX+=aT;c4=0;c5.rotate(cZ);cV+=cZ;continue}if(0===bD%2&&c4===(cT)){c5.lineWidth=1;c5.beginPath();c5.moveTo(cU,0);c5.lineTo(c0,0);c5.closePath();c5.stroke()}else{c5.lineWidth=0.5;c5.beginPath();c5.moveTo(cU,0);c5.lineTo(cR,0);c5.closePath();c5.stroke()}c5.rotate(cZ);cV+=cZ}c5.translate(-bb,-a8);c5.restore()};var b4=function(c0){c0=c0||{};var c1=(undefined===c0.frame?false:c0.frame);var cT=(undefined===c0.background?false:c0.background);var cX=(undefined===c0.led?false:c0.led);var cR=(undefined===c0.userLed?false:c0.userLed);var cQ=(undefined===c0.pointer?false:c0.pointer);var cZ=(undefined===c0.foreground?false:c0.foreground);var cV=(undefined===c0.trend?false:c0.trend);var cS=(undefined===c0.odo?false:c0.odo);aE=true;a3();if(c1&&cC){c(bq,cI,bb,a8,aO,cH)}if(cT&&cM){az(bF,bi,bb,a8,aO,cH);K(bF,bW,bb,a8,aO,cH)}if(cX){bu.drawImage(W(Math.ceil(bz*0.093457),1,bm),0,0);aD.drawImage(W(Math.ceil(bz*0.093457),0,bm),0,0)}if(cR){aY.drawImage(W(Math.ceil(bz*0.093457),1,bR),0,0);ci.drawImage(W(Math.ceil(bz*0.093457),0,bR),0,0)}if(by){cx.drawImage(t(Math.ceil(bz*0.028037),steelseries.ColorDef.BLUE.dark.getRgbaColor(),true,true),0,0)}if(bs){aG.drawImage(t(Math.ceil(bz*0.028037),steelseries.ColorDef.RED.medium.getRgbaColor(),true),0,0)}if(cT&&cM){b1(bF);if(null!==cm&&0<cm.length){var cY=cm.length;do{cY--;aC(bF,cm[cY].start,cm[cY].stop,cm[cY].color,false)}while(0<cY)}if(null!==aI&&0<aI.length){var cU=aI.length;do{cU--;aC(bF,aI[cU].start,aI[cU].stop,aI[cU].color,true)}while(0<cU)}bX(bF,bl);ad(bF,aO,cH,bK,aM,bi,true,true)}if(cT&&cN){bF.save();bF.translate(bb,a8);bF.rotate(b8+(ct-cb)*cs+L);bF.translate(-bb,-a8);bF.drawImage(cK(),aO*0.475,cH*0.13);bF.translate(bb,a8);bF.restore()}if(cT&&a5){if(aV&&cS){bT=new steelseries.Odometer("",{_context:cy,height:bz*0.075,decimals:cn.decimals,digits:(cn.digits===undefined?5:cn.digits),valueForeColor:cn.valueForeColor,valueBackColor:cn.valueBackColor,decimalForeColor:cn.decimalForeColor,decimalBackColor:cn.decimalBackColor,font:cn.font,value:bA});bt=(aO-bY.width)/2}else{if(!aV){ce=O(a7,bc,b9);bF.drawImage(ce,cE,cD)}}}if(cQ){A(cL,aO,cd,cw,bi.labelColor)}if(cZ&&cg){var cW=(cd.type==="type15"||cd.type==="type16"?false:true);w(aP,cB,aO,cH,cW,cG,bO,bH)}if(cV&&bE){bV=X(bw,steelseries.TrendState.UP,b5);cc=X(bw,steelseries.TrendState.STEADY,b5);a4=X(bw,steelseries.TrendState.DOWN,b5);ba=X(bw,steelseries.TrendState.OFF,b5)}};var aR=function(cR){cR=cR||{};var cT=(undefined===cR.frame?false:cR.frame);var cU=(undefined===cR.background?false:cR.background);var cW=(undefined===cR.led?false:cR.led);var cV=(undefined===cR.userLed?false:cR.userLed);var cS=(undefined===cR.pointer?false:cR.pointer);var cQ=(undefined===cR.foreground?false:cR.foreground);if(cT){b0.width=bz;b0.height=bz;bq=b0.getContext("2d")}if(cU){bB.width=bz;bB.height=bz;bF=bB.getContext("2d")}if(cW){a2.width=Math.ceil(bz*0.093457);a2.height=Math.ceil(bz*0.093457);bu=a2.getContext("2d");bd.width=Math.ceil(bz*0.093457);bd.height=Math.ceil(bz*0.093457);aD=bd.getContext("2d");bZ=bd}if(cV){cP.width=Math.ceil(bz*0.093457);cP.height=Math.ceil(bz*0.093457);aY=cP.getContext("2d");aQ.width=Math.ceil(bz*0.093457);aQ.height=Math.ceil(bz*0.093457);ci=aQ.getContext("2d");ca=aQ}if(cS){bL.width=bz;bL.height=bz;cL=bL.getContext("2d")}if(cQ){ck.width=bz;ck.height=bz;aP=ck.getContext("2d")}};var cf=function(){if(aL){if(bZ===a2){bZ=bd}else{bZ=a2}if(!b2){b2=true;U(co.repaint)}}};var bP=function(){if(a1){if(ca===cP){ca=aQ}else{ca=cP}if(!b2){b2=true;U(co.repaint)}}};var b3=function(cQ){if(cQ){b6=setInterval(cf,1000)}else{clearInterval(b6);bZ=bd}};var aW=function(cQ){if(cQ){cp=setInterval(bP,1000)}else{clearInterval(cp);ca=aQ}};this.setValue=function(cR){cR=parseFloat(cR);var cQ=cR<cb?cb:(cR>b7?b7:cR);if(bA!==cQ){bA=cQ;if(bA>bx){bx=bA}if(bA<a9){a9=bA}if((bA>=ct&&!be&&bM)||(bA<=ct&&!be&&!bM)){be=true;b3(be);if(cF){aB.play()}}else{if((bA<ct&&be&&bM)||(bA>ct&&be&&!bM)){be=false;b3(be);if(cF){aB.pause()}}}this.repaint()}return this};this.getValue=function(){return bA};this.setOdoValue=function(cR){cR=parseFloat(cR);var cQ=(cR<0?0:cR);if(ch!==cQ){ch=cQ;this.repaint()}return this};this.getOdoValue=function(){return ch};this.setValueAnimated=function(cT,cU){cT=parseFloat(cT);var cQ=(cT<cb?cb:(cT>b7?b7:cT)),cR=this,cS;if(bA!==cQ){if(undefined!==aS&&aS.isPlaying){aS.stop()}cS=cz*Math.abs(cQ-bA)/(b7-cb);cS=Math.max(cS,cz/5);aS=new Tween({},"",Tween.regularEaseInOut,bA,cQ,cS);aS.onMotionChanged=function(cV){bA=cV.target._pos;if((bA>=ct&&!be&&bM)||(bA<=ct&&!be&&!bM)){be=true;b3(be);if(cF){aB.play()}}else{if((bA<ct&&be&&bM)||(bA>ct&&be&&!bM)){be=false;b3(be);if(cF){aB.pause()}}}if(bA>bx){bx=bA}if(bA<a9){a9=bA}if(!b2){b2=true;U(cR.repaint)}};if(cU&&typeof(cU)==="function"){aS.onMotionFinished=cU}aS.start()}return this};this.resetMinMeasuredValue=function(){a9=bA;this.repaint()};this.resetMaxMeasuredValue=function(){bx=bA;this.repaint();return this};this.setMinMeasuredValueVisible=function(cQ){by=!!cQ;this.repaint();return this};this.setMaxMeasuredValueVisible=function(cQ){bs=!!cQ;this.repaint();return this};this.setMaxMeasuredValue=function(cR){cR=parseFloat(cR);var cQ=cR<cb?cb:(cR>b7?b7:cR);bx=cQ;this.repaint();return this};this.setMinMeasuredValue=function(cR){cR=parseFloat(cR);var cQ=cR<cb?cb:(cR>b7?b7:cR);a9=cQ;this.repaint();return this};this.setTitleString=function(cQ){bK=cQ;aR({background:true});b4({background:true});this.repaint();return this};this.setUnitString=function(cQ){aM=cQ;aR({background:true});b4({background:true});this.repaint();return this};this.setMinValue=function(cQ){cb=parseFloat(cQ);aR({frame:true,background:true});b4({frame:true,background:true});this.repaint();return this};this.getMinValue=function(){return cb};this.setMaxValue=function(cQ){b7=parseFloat(cQ);aR({frame:true,background:true});b4({frame:true,background:true});this.repaint();return this};this.getMaxValue=function(){return b7};this.setThreshold=function(cR){cR=parseFloat(cR);var cQ=cR<cb?cb:(cR>b7?b7:cR);ct=cQ;aR({background:true});b4({background:true});this.repaint();return this};this.setArea=function(cQ){aI=cQ;aR({background:true,foreground:true});b4({background:true,foreground:true});this.repaint();return this};this.setSection=function(cQ){cm=cQ;aR({background:true,foreground:true});b4({background:true,foreground:true});this.repaint();return this};this.setThresholdVisible=function(cQ){cN=!!cQ;this.repaint();return this};this.setThresholdRising=function(cQ){bM=!!cQ;be=!be;b3(be);this.repaint();return this};this.setLcdDecimals=function(cQ){cJ=parseInt(cQ,10);this.repaint();return this};this.setFrameDesign=function(cQ){aR({frame:true});cI=cQ;b4({frame:true});this.repaint();return this};this.setBackgroundColor=function(cQ){aR({background:true,pointer:(cd.type==="type2"||cd.type==="type13"?true:false)});bi=cQ;b4({background:true,pointer:(cd.type==="type2"||cd.type==="type13"?true:false)});this.repaint();return this};this.setForegroundType=function(cQ){aR({foreground:true});cB=cQ;b4({foreground:true});this.repaint();return this};this.setPointerType=function(cQ){aR({pointer:true,foreground:true});cd=cQ;b4({pointer:true,foreground:true});this.repaint();return this};this.setPointerColor=function(cQ){aR({pointer:true});cw=cQ;b4({pointer:true});this.repaint();return this};this.setLedColor=function(cQ){aR({led:true});bm=cQ;b4({led:true});this.repaint();return this};this.setUserLedColor=function(cQ){aR({userLed:true});bR=cQ;b4({userLed:true});this.repaint();return this};this.toggleUserLed=function(){if(ca===cP){ca=aQ}else{ca=cP}this.repaint();return this};this.setUserLedOnOff=function(cQ){if(true===cQ){ca=cP}else{ca=aQ}this.repaint();return this};this.blinkUserLed=function(cQ){if(cQ){if(!aF){aW(true);aF=true}}else{if(aF){clearInterval(cp);aF=false}}return this};this.setLedVisible=function(cQ){aL=!!cQ;this.repaint();return this};this.setUserLedVisible=function(cQ){a1=!!cQ;this.repaint();return this};this.setLcdColor=function(cQ){b9=cQ;aR({background:true});b4({background:true});this.repaint();return this};this.setTrend=function(cQ){cu=cQ;this.repaint();return this};this.setTrendVisible=function(cQ){bE=!!cQ;this.repaint();return this};this.setFractionalScaleDecimals=function(cQ){cq=parseInt(cQ,10);aR({background:true});b4({background:true});this.repaint();return this};this.setLabelNumberFormat=function(cQ){bl=cQ;aR({background:true});b4({background:true});this.repaint();return this};this.repaint=function(){if(!aE){b4({frame:true,background:true,led:true,userLed:true,pointer:true,trend:true,foreground:true,odo:true})}a0.clearRect(0,0,bz,bz);if(cC){a0.drawImage(b0,0,0)}a0.drawImage(bB,0,0);if(a5){if(aV){bT.setValue(aX?bA:ch);a0.drawImage(bY,bt,br)}else{cl(a0,bA)}}if(aL){a0.drawImage(bZ,aJ,aH)}if(a1){a0.drawImage(ca,bI,bG)}if(bE){switch(cu.state){case"up":a0.drawImage(bV,bo,bn);break;case"steady":a0.drawImage(cc,bo,bn);break;case"down":a0.drawImage(a4,bo,bn);break;case"off":a0.drawImage(ba,bo,bn);break}}if(by){a0.save();a0.translate(bb,a8);a0.rotate(b8+L+(a9-cb)*cs);a0.translate(-bb,-a8);a0.drawImage(a6,a0.canvas.width*0.4865,a0.canvas.height*0.105);a0.restore()}if(bs){a0.save();a0.translate(bb,a8);a0.rotate(b8+L+(bx-cb)*cs);a0.translate(-bb,-a8);a0.drawImage(bC,a0.canvas.width*0.4865,a0.canvas.height*0.105);a0.restore()}bp=b8+L+(bA-cb)*cs;a0.save();a0.translate(bb,a8);a0.rotate(bp);a0.translate(-bb,-a8);a0.shadowColor="rgba(0, 0, 0, 0.8)";a0.shadowOffsetX=a0.shadowOffsetY=bJ;a0.shadowBlur=bJ*2;a0.drawImage(bL,0,0);a0.restore();if(cg){a0.drawImage(ck,0,0)}b2=false};this.repaint();return this};var v=function(cB,bk){bk=bk||{};var bC=(undefined===bk.gaugeType?steelseries.GaugeType.TYPE4:bk.gaugeType),bw=(undefined===bk.size?0:bk.size),b4=(undefined===bk.minValue?0:bk.minValue),b0=(undefined===bk.maxValue?(b4+100):bk.maxValue),bN=(undefined===bk.niceScale?true:bk.niceScale),cn=(undefined===bk.threshold?(b0-b4)/2+b4:bk.threshold),bE=(undefined===bk.thresholdRising?true:bk.thresholdRising),ch=(undefined===bk.section?null:bk.section),bJ=(undefined===bk.useSectionColors?false:bk.useSectionColors),bD=(undefined===bk.titleString?"":bk.titleString),aN=(undefined===bk.unitString?"":bk.unitString),cy=(undefined===bk.frameDesign?steelseries.FrameDesign.METAL:bk.frameDesign),ct=(undefined===bk.frameVisible?true:bk.frameVisible),bg=(undefined===bk.backgroundColor?steelseries.BackgroundColor.DARK_GRAY:bk.backgroundColor),cA=(undefined===bk.backgroundVisible?true:bk.backgroundVisible),bI=(undefined===bk.valueColor?steelseries.ColorDef.RED:bk.valueColor),b2=(undefined===bk.lcdColor?steelseries.LcdColor.STANDARD:bk.lcdColor),a5=(undefined===bk.lcdVisible?true:bk.lcdVisible),cz=(undefined===bk.lcdDecimals?2:bk.lcdDecimals),be=(undefined===bk.digitalFont?false:bk.digitalFont),ck=(undefined===bk.fractionalScaleDecimals?1:bk.fractionalScaleDecimals),bR=(undefined===bk.customLayer?null:bk.customLayer),bm=(undefined===bk.ledColor?steelseries.LedColor.RED_LED:bk.ledColor),aM=(undefined===bk.ledVisible?true:bk.ledVisible),bM=(undefined===bk.userLedColor?steelseries.LedColor.GREEN_LED:bk.userLedColor),a1=(undefined===bk.userLedVisible?false:bk.userLedVisible),bl=(undefined===bk.labelNumberFormat?steelseries.LabelNumberFormat.STANDARD:bk.labelNumberFormat),cs=(undefined===bk.foregroundType?steelseries.ForegroundType.TYPE1:bk.foregroundType),ca=(undefined===bk.foregroundVisible?true:bk.foregroundVisible),cw=(undefined===bk.playAlarm?false:bk.playAlarm),aL=(undefined===bk.alarmSound?false:bk.alarmSound),aO=(undefined===bk.valueGradient?null:bk.valueGradient),aX=(undefined===bk.useValueGradient?false:bk.useValueGradient),bL=(undefined===bk.tickLabelOrientation?(bC===steelseries.GaugeType.TYPE1?steelseries.TickLabelOrientation.TANGENT:steelseries.TickLabelOrientation.NORMAL):bk.tickLabelOrientation),bA=(undefined===bk.trendVisible?false:bk.trendVisible),bY=(undefined===bk.trendColors?[steelseries.LedColor.RED_LED,steelseries.LedColor.GREEN_LED,steelseries.LedColor.CYAN_LED]:bk.trendColors),cq=(undefined===bk.fullScaleDeflectionTime?2.5:bk.fullScaleDeflectionTime);var a0=o(cB);if(bw===0){bw=Math.min(a0.canvas.width,a0.canvas.height)}a0.canvas.width=bw;a0.canvas.height=bw;if(cw&&aL!==false){var aE=x.createElement("audio");aE.setAttribute("src",aL);aE.setAttribute("preload","auto")}var bx=b4;var bu=b0-b4;var bc=false;var bZ=0;var aI=false;var cj=0;var aU;var ci=this;var bV=false;var cp;var b1;var bq;var bd;var cd;var aH;var cm;var bp;var bt=[];var aD=false;var aJ=false;var aQ=bw;var cx=bw;var a9=aQ/2;var a6=cx/2;var cl=Math.floor(aQ/10);var bO=cl+"px "+P;var bi=cl+"px "+ao;var ba=cx*0.13;var a7=aQ*0.4;var cv=(aQ-a7)/2;var cu=cx/2-ba/2;var b9=aQ*0.116822;var b7=aQ*0.485981;var cb=Math.ceil(bw*0.093457);var aC=aQ*0.53;var aB=cx*0.61;var bH=bC===steelseries.GaugeType.TYPE3?0.7*aQ:a9-cb/2;var bG=bC===steelseries.GaugeType.TYPE3?0.61*cx:0.75*cx;var co=steelseries.TrendState.OFF;var bv=bw*0.06;var bo=bw*0.38;var bn=bw*0.57;switch(bC.type){case"type1":cp=0;b1=ac;bq=0;bd=L;cd=L;aH=cd*b;cm=cd/bu;break;case"type2":cp=0;b1=ac;bq=0;bd=L;cd=ac;aH=cd*b;cm=cd/bu;break;case"type3":cp=0;b1=L;bq=-L;bd=0;cd=1.5*ac;aH=cd*b;cm=cd/bu;break;case"type4":default:cp=60*i;b1=L+(cp/2);bq=-D/6;bd=0;cd=D-cp;aH=cd*b;cm=cd/bu;break}var bU=F(bw,bw);var br=bU.getContext("2d");var by=F(bw,bw);var bB=by.getContext("2d");var b6;var cg=F(Math.ceil(bw*0.060747),Math.ceil(bw*0.023364));var aK=cg.getContext("2d");var a3=F(cb,cb);var bs=a3.getContext("2d");var bb=F(cb,cb);var aG=bb.getContext("2d");var bT=bb;var cC=F(cb,cb);var aZ=cC.getContext("2d");var aS=F(cb,cb);var cc=aS.getContext("2d");var b3=aS;var bj;var ce=F(bw,bw);var aR=ce.getContext("2d");var bQ,b5,a4,a8;var aF=false;var aY=b4;var bf=b0;var aP=b0-b4;bu=bf-aY;var bF=0;var aV=0;var bz=10;var cr=10;var a2=function a2(){if(bN){aP=f(b0-b4,false);aV=f(aP/(cr-1),true);aY=Math.floor(b4/aV)*aV;bf=Math.ceil(b0/aV)*aV;bF=f(aV/(bz-1),true);b4=aY;b0=bf;bu=b0-b4}else{aP=(b0-b4);aY=b4;bf=b0;bu=aP;aV=f(aP/(cr-1),true);bF=f(aV/(bz-1),true)}switch(bC.type){case"type1":cp=0;b1=ac;bd=L;cd=L;cm=cd/bu;break;case"type2":cp=0;b1=ac;bd=L;cd=ac;cm=cd/bu;break;case"type3":cp=0;b1=L;bd=0;cd=1.5*ac;cm=cd/bu;break;case"type4":default:cp=60*i;b1=L+(cp/2);bd=0;cd=D-cp;cm=cd/bu;break}bp=b1+(bx-b4)*cm};var bX=function(cK){cK=cK||{};var cL=(undefined===cK.frame?false:cK.frame);var cE=(undefined===cK.background?false:cK.background);var cH=(undefined===cK.led?false:cK.led);var cD=(undefined===cK.userLed?false:cK.userLed);var cG=(undefined===cK.value?false:cK.value);var cJ=(undefined===cK.foreground?false:cK.foreground);var cF=(undefined===cK.trend?false:cK.trend);aF=true;a2();if(cL&&ct){c(br,cy,a9,a6,aQ,cx)}if(cE&&cA){az(bB,bg,a9,a6,aQ,cx);K(bB,bR,a9,a6,aQ,cx)}if(cH){bs.drawImage(W(cb,1,bm),0,0);aG.drawImage(W(cb,0,bm),0,0);bj=bB.getImageData(aC,aB,cb,cb)}if(cD){aZ.drawImage(W(Math.ceil(cb),1,bM),0,0);cc.drawImage(W(Math.ceil(cb),0,bM),0,0)}if(cE){bP(bB)}if(cE&&cA){bS(bB,bl);ad(bB,aQ,cx,bD,aN,bg,true,true)}if(cE&&a5){b6=O(a7,ba,b2);bB.drawImage(b6,cv,cu)}aD=false;if(bJ&&null!==ch&&0<ch.length){aD=true;var cI=ch.length;bt=[];do{cI--;bt.push({start:(((ch[cI].start+Math.abs(b4))/(b0-b4))*aH),stop:(((ch[cI].stop+Math.abs(b4))/(b0-b4))*aH),color:p(ch[cI].color)})}while(0<cI)}aJ=false;if(aX&&aO!==null){aD=false;aJ=true}if(cG){bh(aK,bI)}if(cJ&&ca){w(aR,cs,aQ,cx,false)}if(cF&&bA){bQ=X(bv,steelseries.TrendState.UP,bY);b5=X(bv,steelseries.TrendState.STEADY,bY);a4=X(bv,steelseries.TrendState.DOWN,bY);a8=X(bv,steelseries.TrendState.OFF,bY)}};var aT=function(cF){cF=cF||{};var cG=(undefined===cF.frame?false:cF.frame);var cH=(undefined===cF.background?false:cF.background);var cJ=(undefined===cF.led?false:cF.led);var cI=(undefined===cF.userLed?false:cF.userLed);var cE=(undefined===cF.value?false:cF.value);var cD=(undefined===cF.foreground?false:cF.foreground);if(cG){bU.width=bw;bU.height=bw;br=bU.getContext("2d")}if(cH){by.width=bw;by.height=bw;bB=by.getContext("2d")}if(cE){cg.width=Math.ceil(bw*0.060747);cg.height=Math.ceil(bw*0.023364);aK=cg.getContext("2d")}if(cJ){a3.width=Math.ceil(cb);a3.height=Math.ceil(cb);bs=a3.getContext("2d");bb.width=Math.ceil(cb);bb.height=Math.ceil(cb);aG=bb.getContext("2d");bT=bb}if(cI){cC.width=Math.ceil(cb);cC.height=Math.ceil(cb);aZ=cC.getContext("2d");aS.width=Math.ceil(cb);aS.height=Math.ceil(cb);cc=aS.getContext("2d");b3=aS}if(cD){ce.width=bw;ce.height=bw;aR=ce.getContext("2d")}};var bP=function(cE){cE.save();cE.save();cE.lineWidth=bw*0.085;cE.beginPath();cE.translate(a9,a6);cE.rotate(b1-4*i);cE.translate(-a9,-a6);cE.arc(a9,a6,aQ*0.35514,0,cd+8*i,false);cE.rotate(-b1);var cD=cE.createLinearGradient(0,0.107476*cx,0,0.897195*cx);cD.addColorStop(0,"#000000");cD.addColorStop(0.22,"#333333");cD.addColorStop(0.76,"#333333");cD.addColorStop(1,"#cccccc");cE.strokeStyle=cD;cE.stroke();cE.restore();cE.save();cE.lineWidth=bw*0.075;cE.beginPath();cE.translate(a9,a6);cE.rotate(b1-4*i);cE.translate(-a9,-a6);cE.arc(a9,a6,aQ*0.35514,0,cd+8*i,false);cE.rotate(-b1);var cG=cE.createLinearGradient(0,0.112149*cx,0,0.892523*cx);cG.addColorStop(0,"#111111");cG.addColorStop(1,"#333333");cE.strokeStyle=cG;cE.stroke();cE.restore();var cJ=(aQ*0.116822+aQ*0.060747)/2;var cH=(aQ*0.485981+aQ*0.023364)/2;var cF=cE.createRadialGradient(cJ,cH,0,cJ,cH,0.030373*aQ);cF.addColorStop(0,"#3c3c3c");cF.addColorStop(1,"#323232");var cI=0;for(cI=0;cI<=aH;cI+=5){cE.save();cE.translate(a9,a6);cE.rotate((cI*i)+bq);cE.translate(-a9,-a6);cE.beginPath();cE.rect(aQ*0.116822,aQ*0.485981,aQ*0.060747,aQ*0.023364);cE.closePath();cE.fillStyle=cF;cE.fill();cE.restore()}cE.restore()};var bh=function(cD,cE){cD.save();cD.beginPath();cD.rect(0,0,cD.canvas.width,cD.canvas.height);cD.closePath();var cH=(cD.canvas.width/2);var cG=(cD.canvas.height/2);var cF=a0.createRadialGradient(cH,cG,0,cH,cG,cD.canvas.width/2);cF.addColorStop(0,cE.light.getRgbaColor());cF.addColorStop(1,cE.dark.getRgbaColor());cD.fillStyle=cF;cD.fill();cD.restore()};var cf=function(cD,cE){cD.save();cD.textAlign="right";cD.strokeStyle=b2.textColor;cD.fillStyle=b2.textColor;if(b2===steelseries.LcdColor.STANDARD||b2===steelseries.LcdColor.STANDARD_GREEN){cD.shadowColor="gray";cD.shadowOffsetX=aQ*0.007;cD.shadowOffsetY=aQ*0.007;cD.shadowBlur=aQ*0.007}if(be){cD.font=bi}else{cD.font=bO}cD.fillText(cE.toFixed(cz),cv+a7-a7*0.05,cu+ba*0.5+cl*0.38,a7*0.9);cD.restore()};var bS=function(cN,cH){var cE=b1,cI=cm*bF,cJ,cO=Math.ceil(aQ*0.04),cG=b4,cM=bz-1,cK=aQ*0.28,cD=aQ*0.1,cL=parseFloat(b0.toFixed(2)),cF;bg.labelColor.setAlpha(1);cN.save();cN.textAlign="center";cN.textBaseline="middle";cN.font=cO+"px "+P;cN.strokeStyle=bg.labelColor.getRgbaColor();cN.fillStyle=bg.labelColor.getRgbaColor();cN.translate(a9,a6);cN.rotate(b1);if(bC.type==="type1"||bC.type==="type2"){cD=aQ*0.0375}for(cF=b4;parseFloat(cF.toFixed(2))<=cL;cF+=bF){cJ=+cI+L;cM++;if(cM===bz){cN.save();cN.translate(cK,0);switch(bL.type){case"horizontal":cJ=-cE;break;case"tangent":cJ=(cE<=L+ac?ac:0);break;case"normal":default:cJ=L;break}cN.rotate(cJ);switch(cH.format){case"fractional":cN.fillText((cG.toFixed(ck)),0,0,cD);break;case"scientific":cN.fillText((cG.toPrecision(2)),0,0,cD);break;case"standard":default:cN.fillText((cG.toFixed(0)),0,0,cD);break}cN.translate(-cK,0);cN.restore();cG+=aV;cM=0;cN.rotate(cI);cE+=cI;continue}cN.rotate(cI);cE+=cI}cN.translate(-a9,-a6);cN.restore()};var bW=function(cD){if(cD){bZ=setInterval(b8,1000)}else{clearInterval(bZ);bT=bb}};var aW=function(cD){if(cD){cj=setInterval(bK,1000)}else{clearInterval(cj);b3=aS}};var b8=function(){if(aM){if(bT===a3){bT=bb}else{bT=a3}if(!bV){bV=true;U(ci.repaint)}}};var bK=function(){if(a1){if(b3===cC){b3=aS}else{b3=cC}if(!bV){bV=true;U(ci.repaint)}}};this.setValue=function(cE){cE=parseFloat(cE);var cD=(cE<b4?b4:(cE>b0?b0:cE));if(bx!==cD){bx=cD;if((bx>=cn&&!bc&&bE)||(bx<=cn&&!bc&&!bE)){bc=true;bW(bc);if(cw){aE.play()}}else{if((bx<cn&&bc&&bE)||(bx>cn&&bc&&!bE)){bc=false;bW(bc);if(cw){aE.pause()}}}this.repaint()}return this};this.getValue=function(){return bx};this.setValueAnimated=function(cG,cH){cG=parseFloat(cG);var cD=(cG<b4?b4:(cG>b0?b0:cG)),cE=this,cF;if(bx!==cD){if(undefined!==aU&&aU.isPlaying){aU.stop()}cF=cq*Math.abs(cD-bx)/(b0-b4);cF=Math.max(cF,cq/5);aU=new Tween({},"",Tween.regularEaseInOut,bx,cD,cF);aU.onMotionChanged=function(cI){bx=cI.target._pos;if((bx>=cn&&!bc&&bE)||(bx<=cn&&!bc&&!bE)){bc=true;bW(bc);if(cw){aE.play()}}else{if((bx<cn&&bc&&bE)||(bx>cn&&bc&&!bE)){bc=false;bW(bc);if(cw){aE.pause()}}}if(!bV){bV=true;U(cE.repaint)}};if(cH&&typeof(cH)==="function"){aU.onMotionFinished=cH}aU.start()}return this};this.setFrameDesign=function(cD){aT({frame:true});cy=cD;bX({frame:true});this.repaint();return this};this.setBackgroundColor=function(cD){aT({background:true,led:true});bg=cD;bX({background:true,led:true});this.repaint();return this};this.setForegroundType=function(cD){aT({foreground:true});cs=cD;bX({foreground:true});this.repaint();return this};this.setValueColor=function(cD){aT({value:true});bI=cD;bX({value:true});this.repaint();return this};this.setLedColor=function(cD){aT({led:true});bm=cD;bX({led:true});this.repaint();return this};this.setUserLedColor=function(cD){aT({userLed:true});bM=cD;bX({userLed:true});this.repaint();return this};this.toggleUserLed=function(){if(b3===cC){b3=aS}else{b3=cC}this.repaint();return this};this.setUserLedOnOff=function(cD){if(true===cD){b3=cC}else{b3=aS}this.repaint();return this};this.blinkUserLed=function(cD){if(cD){if(!aI){aW(true);aI=true}}else{if(aI){clearInterval(cj);aI=false}}return this};this.setLedVisible=function(cD){aM=!!cD;this.repaint();return this};this.setUserLedVisible=function(cD){a1=!!cD;this.repaint();return this};this.setLcdColor=function(cD){b2=cD;aT({background:true});bX({background:true});this.repaint();return this};this.setLcdDecimals=function(cD){cz=parseInt(cD,10);this.repaint();return this};this.setSection=function(cD){ch=cD;bX();this.repaint();return this};this.setSectionActive=function(cD){bJ=cD;bX();this.repaint();return this};this.setGradient=function(cD){aO=cD;bX();this.repaint();return this};this.setGradientActive=function(cD){aX=cD;bX();this.repaint();return this};this.setMinValue=function(cD){b4=cD;aT({background:true});bX({background:true});this.repaint();return this};this.getMinValue=function(){return b4};this.setMaxValue=function(cD){b0=cD;aT({background:true});bX({background:true});this.repaint();return this};this.getMaxValue=function(){return b0};this.setThreshold=function(cE){cE=parseFloat(cE);var cD=cE<b4?b4:(cE>b0?b0:cE);cn=cD;aT({background:true});bX({background:true});this.repaint();return this};this.setThresholdRising=function(cD){bE=!!cD;bc=!bc;bW(bc);this.repaint();return this};this.setTitleString=function(cD){bD=cD;aT({background:true});bX({background:true});this.repaint();return this};this.setUnitString=function(cD){aN=cD;aT({background:true});bX({background:true});this.repaint();return this};this.setTrend=function(cD){co=cD;this.repaint();return this};this.setTrendVisible=function(cD){bA=!!cD;this.repaint();return this};this.setFractionalScaleDecimals=function(cD){ck=parseInt(cD,10);aT({background:true});bX({background:true});this.repaint()};this.setLabelNumberFormat=function(cD){bl=cD;aT({background:true});bX({background:true});this.repaint();return this};this.repaint=function(){var cK=((bx-b4)/(b0-b4))*aH,cD,cI=bI,cJ,cE,cH,cG,cF;if(!aF){bX({frame:true,background:true,led:true,userLed:true,value:true,trend:true,foreground:true})}a0.clearRect(0,0,bw,bw);if(ct){a0.drawImage(bU,0,0)}a0.drawImage(by,0,0);for(cJ=0;cJ<=cK;cJ+=5){cD=bI;if(aJ){cH=b4+(cJ/aH)*(b0-b4);cG=aO.getEnd()-aO.getStart();cF=(cH-b4)/cG;cF=Math.max(Math.min(cF,1),0);cD=p(aO.getColorAt(cF).getRgbaColor())}else{if(aD){for(cE=0;cE<bt.length;cE++){if(cJ>=bt[cE].start&&cJ<bt[cE].stop){cD=bt[cE].color;break}}}}if(cI.medium.getHexColor()!==cD.medium.getHexColor()){bh(aK,cD);cI=cD}a0.save();a0.translate(a9,a6);a0.rotate((cJ*i)+bq);a0.translate(-a9,-a6);a0.drawImage(cg,b9,b7);a0.restore()}if(a5){cf(a0,bx)}if(aM){a0.drawImage(bT,aC,aB)}if(a1){a0.drawImage(b3,bH,bG)}if(bA){switch(co.state){case"up":a0.drawImage(bQ,bo,bn);break;case"steady":a0.drawImage(b5,bo,bn);break;case"down":a0.drawImage(a4,bo,bn);break;case"off":a0.drawImage(a8,bo,bn);break}}if(ca){a0.drawImage(ce,0,0)}bV=false};this.repaint();return this};var V=function(b5,a5){a5=a5||{};var bK=(undefined===a5.orientation?steelseries.Orientation.NORTH:a5.orientation),bf=(undefined===a5.size?0:a5.size),bE=(undefined===a5.minValue?0:a5.minValue),bC=(undefined===a5.maxValue?(bE+100):a5.maxValue),bs=(undefined===a5.niceScale?true:a5.niceScale),bO=(undefined===a5.threshold?(bC-bE)/2+bE:a5.threshold),bL=(undefined===a5.section?null:a5.section),aG=(undefined===a5.area?null:a5.area),bm=(undefined===a5.titleString?"":a5.titleString),aL=(undefined===a5.unitString?"":a5.unitString),b0=(undefined===a5.frameDesign?steelseries.FrameDesign.METAL:a5.frameDesign),bU=(undefined===a5.frameVisible?true:a5.frameVisible),a4=(undefined===a5.backgroundColor?steelseries.BackgroundColor.DARK_GRAY:a5.backgroundColor),b3=(undefined===a5.backgroundVisible?true:a5.backgroundVisible),bF=(undefined===a5.pointerType?steelseries.PointerType.TYPE1:a5.pointerType),bQ=(undefined===a5.pointerColor?steelseries.ColorDef.RED:a5.pointerColor),bX=(undefined===a5.knobType?steelseries.KnobType.STANDARD_KNOB:a5.knobType),br=(undefined===a5.knobStyle?steelseries.KnobStyle.SILVER:a5.knobStyle),a7=(undefined===a5.ledColor?steelseries.LedColor.RED_LED:a5.ledColor),aK=(undefined===a5.ledVisible?true:a5.ledVisible),b4=(undefined===a5.thresholdVisible?true:a5.thresholdVisible),bp=(undefined===a5.thresholdRising?true:a5.thresholdRising),be=(undefined===a5.minMeasuredValueVisible?false:a5.minMeasuredValueVisible),ba=(undefined===a5.maxMeasuredValueVisible?false:a5.maxMeasuredValueVisible),bT=(undefined===a5.foregroundType?steelseries.ForegroundType.TYPE1:a5.foregroundType),bH=(undefined===a5.foregroundVisible?true:a5.foregroundVisible),a6=(undefined===a5.labelNumberFormat?steelseries.LabelNumberFormat.STANDARD:a5.labelNumberFormat),bW=(undefined===a5.playAlarm?false:a5.playAlarm),aI=(undefined===a5.alarmSound?false:a5.alarmSound),bS=(undefined===a5.fullScaleDeflectionTime?2.5:a5.fullScaleDeflectionTime);var aT=o(b5);if(bf===0){bf=Math.min(aT.canvas.width,aT.canvas.height)}aT.canvas.width=bf;aT.canvas.height=bf;if(bW&&aI!==false){var aB=x.createElement("audio");aB.setAttribute("src",aI);aB.setAttribute("preload","auto")}var bl=steelseries.GaugeType.TYPE5;var bM=this;var bg=bE;var aX=bC;var bd=bE;var aM=bf;var bZ=bf;var a1=false;var bA=0;var aQ;var bx=false;var aS=bE;var a3=bC;var aN=bC-bE;var bc=a3-aS;var bq=0;var aR=0;var bj=10;var bV=10;var bP=0;var bD=1.25*ac;var a2=1.25*ac;var bI=L;var bN=bI/bc;var bn=aM*0.006;var bY=aM*1.17/2;var aE=false;var a8=bD+(bg-bE)*bN;var aZ=aM/2;var aY=bZ*0.733644;var aJ=0.455*aM;var aH=0.51*bZ;var aV=function aV(){if(bs){aN=f(bC-bE,false);aR=f(aN/(bV-1),true);aS=Math.floor(bE/aR)*aR;a3=Math.ceil(bC/aR)*aR;bq=f(aR/(bj-1),true);bE=aS;bC=a3;bc=bC-bE}else{aN=(bC-bE);aS=bE;a3=bC;bc=aN;bq=1;aR=10}bP=0;bD=1.25*ac;a2=1.25*ac;bI=L;bN=bI/bc;a8=bD+(bg-bE)*bN};var bv=F(bf,bf);var a9=bv.getContext("2d");var bh=F(bf,bf);var bk=bh.getContext("2d");var aU=F(bf*0.093457,bf*0.093457);var bb=aU.getContext("2d");var a0=F(bf*0.093457,bf*0.093457);var aD=a0.getContext("2d");var bu=a0;var aW=F(Math.ceil(bf*0.028037),Math.ceil(bf*0.028037));var bR=aW.getContext("2d");var bi=F(Math.ceil(bf*0.028037),Math.ceil(bf*0.028037));var aF=bi.getContext("2d");var bo=F(bf,bf);var b2=bo.getContext("2d");var bJ=F(bf,bf);var aO=bJ.getContext("2d");var bw=function(b6){if("type5"===bl.type){b6.save();if(bK.type==="west"){b6.drawImage(B(Math.ceil(bZ*0.037383),steelseries.KnobType.STANDARD_KNOB,br),aM*0.44,bZ*0.8);b6.drawImage(B(Math.ceil(bZ*0.037383),steelseries.KnobType.STANDARD_KNOB,br),aM*0.44,bZ*0.16)}else{if(bK.type==="east"){b6.drawImage(B(Math.ceil(bZ*0.037383),steelseries.KnobType.STANDARD_KNOB,br),aM*0.52,bZ*0.8);b6.drawImage(B(Math.ceil(bZ*0.037383),steelseries.KnobType.STANDARD_KNOB,br),aM*0.52,bZ*0.16)}else{b6.drawImage(B(Math.ceil(bZ*0.037383),steelseries.KnobType.STANDARD_KNOB,br),aM*0.2-bZ*0.037383,bZ*0.446666);b6.drawImage(B(Math.ceil(bZ*0.037383),steelseries.KnobType.STANDARD_KNOB,br),aM*0.8,bZ*0.446666)}}b6.restore()}};var b1=function(){var b8=x.createElement("canvas");b8.width=Math.ceil(bf*0.046728);b8.height=Math.ceil(b8.width*0.9);var b7=b8.getContext("2d");b7.save();var b6=b7.createLinearGradient(0,0.1,0,b8.height*0.9);b6.addColorStop(0,"#520000");b6.addColorStop(0.3,"#fc1d00");b6.addColorStop(0.59,"#fc1d00");b6.addColorStop(1,"#520000");b7.fillStyle=b6;b7.beginPath();b7.moveTo(b8.width*0.5,0.1);b7.lineTo(b8.width*0.9,b8.height*0.9);b7.lineTo(b8.width*0.1,b8.height*0.9);b7.lineTo(b8.width*0.5,0.1);b7.closePath();b7.fill();b7.strokeStyle="#FFFFFF";b7.stroke();b7.restore();return b8};var aC=function(b6,cc,b9,b7,ca){b6.save();b6.strokeStyle=b7;b6.fillStyle=b7;b6.lineWidth=aM*0.035;var b8=(bI/bc*cc-bI/bc*bE);var cb=b8+(b9-cc)/(bc/bI);b6.translate(aZ,aY);b6.rotate(bD);b6.beginPath();if(ca){b6.moveTo(0,0);b6.arc(0,0,aM*0.365-b6.lineWidth/2,b8,cb,false)}else{b6.arc(0,0,aM*0.365,b8,cb,false)}if(ca){b6.moveTo(0,0);b6.fill()}else{b6.stroke()}b6.translate(-aZ,-aY);b6.restore()};var bB=function(b6){var b8,b7;b6.save();b6.textAlign="left";b6.textBaseline="middle";b6.strokeStyle=a4.labelColor.getRgbaColor();b6.fillStyle=a4.labelColor.getRgbaColor();b6.font=0.046728*aM+"px "+P;b8=b6.measureText(bm).width;b6.fillText(bm,(aM-b8)/2,bZ*0.4,aM*0.3);b7=b6.measureText(aL).width;b6.fillText(aL,(aM-b7)/2,bZ*0.47,aM*0.2);b6.restore()};var bt=function(ck,cd){a4.labelColor.setAlpha(1);ck.save();if(steelseries.Orientation.WEST===bK){ck.translate(aZ,aZ);ck.rotate(-L);ck.translate(-aZ,-aZ)}if(steelseries.Orientation.EAST===bK){ck.translate(aZ,aZ);ck.rotate(L);ck.translate(-aZ,-aZ)}ck.textAlign="center";ck.textBaseline="middle";var cl=Math.ceil(aM*0.04);ck.font=cl+"px "+P;ck.strokeStyle=a4.labelColor.getRgbaColor();ck.fillStyle=a4.labelColor.getRgbaColor();ck.translate(aZ,aY);ck.rotate(bD);var ce=bN*bq;var cg;var cc=bE;var cj=bj-1;var ca=aM*0.44;var b8=aM*0.41;var cf=aM*0.415;var b7=aM*0.42;var ch=aM*0.48;var b6=aM*0.04;var b9=bj/2;var ci=parseFloat(bC.toFixed(2));var cb;for(cb=bE;parseFloat(cb.toFixed(2))<=ci;cb+=bq){cg=+ce+L;cj++;if(cj===bj){ck.lineWidth=1.5;ck.beginPath();ck.moveTo(ca,0);ck.lineTo(b8,0);ck.closePath();ck.stroke();ck.save();ck.translate(ch,0);ck.rotate(cg);switch(cd.format){case"fractional":ck.fillText((cc.toFixed(2)),0,0,b6);break;case"scientific":ck.fillText((cc.toPrecision(2)),0,0,b6);break;case"standard":default:ck.fillText((cc.toFixed(0)),0,0,b6);break}ck.translate(-ch,0);ck.restore();cc+=aR;cj=0;ck.rotate(ce);continue}if(0===bj%2&&cj===(b9)){ck.lineWidth=1;ck.beginPath();ck.moveTo(ca,0);ck.lineTo(cf,0);ck.closePath();ck.stroke()}else{ck.lineWidth=0.5;ck.beginPath();ck.moveTo(ca,0);ck.lineTo(b7,0);ck.closePath();ck.stroke()}ck.rotate(ce)}ck.translate(-aZ,-aY);ck.restore()};var bz=function(cd){cd=cd||{};var ce=(undefined===cd.frame?false:cd.frame);var b7=(undefined===cd.background?false:cd.background);var ca=(undefined===cd.led?false:cd.led);var b6=(undefined===cd.pointer?false:cd.pointer);var cc=(undefined===cd.foreground?false:cd.foreground);aE=true;aV();if(ce&&bU){c(a9,b0,aZ,bf/2,aM,bZ)}if(b7&&b3){az(bk,a4,aZ,bf/2,aM,bZ)}if(ca){bb.drawImage(W(Math.ceil(bf*0.093457),1,a7),0,0);aD.drawImage(W(Math.ceil(bf*0.093457),0,a7),0,0)}if(be){bR.drawImage(t(Math.ceil(bf*0.028037),steelseries.ColorDef.BLUE.dark.getRgbaColor(),true,true),0,0);bR.restore()}if(ba){aF.drawImage(t(Math.ceil(bf*0.028037),steelseries.ColorDef.RED.medium.getRgbaColor(),true),0,0);aF.restore()}if(b7&&b3){bw(bk);if(null!==bL&&0<bL.length){bk.save();if(steelseries.Orientation.WEST===bK){bk.translate(aZ,aZ);bk.rotate(-L);bk.translate(-aZ,-aZ)}else{if(steelseries.Orientation.EAST===bK){bk.translate(aZ,aZ);bk.rotate(L);bk.translate(-aZ,-aZ)}}var cb=bL.length;do{cb--;aC(bk,bL[cb].start,bL[cb].stop,bL[cb].color,false)}while(0<cb);bk.restore()}if(null!==aG&&0<aG.length){if(steelseries.Orientation.WEST===bK){bk.translate(aZ,aZ);bk.rotate(-L);bk.translate(-aZ,-aZ)}if(steelseries.Orientation.EAST===bK){bk.translate(aZ,aZ);bk.rotate(L);bk.translate(-aZ,-aZ)}var b8=aG.length;do{b8--;aC(bk,aG[b8].start,aG[b8].stop,aG[b8].color,true)}while(0<b8);bk.restore()}bt(bk,a6);bB(bk)}if(b4){bk.save();if(steelseries.Orientation.WEST===bK){bk.translate(aZ,aZ);bk.rotate(-L);bk.translate(-aZ,-aZ)}if(steelseries.Orientation.EAST===bK){bk.translate(aZ,aZ);bk.rotate(L);bk.translate(-aZ,-aZ)}bk.translate(aZ,aY);bk.rotate(bD+(bO-bE)*bN+L);bk.translate(-aZ,-aY);bk.drawImage(b1(),aM*0.475,bZ*0.32);bk.restore()}if(b6){A(b2,aM*1.17,bF,bQ,a4.labelColor)}if(cc&&bH){var b9=(bF.type==="type15"||bF.type==="type16"?false:true);w(aO,bT,aM,bZ,b9,bX,br,bl,bK)}};var aP=function(b7){b7=b7||{};var b9=(undefined===b7.frame?false:b7.frame);var ca=(undefined===b7.background?false:b7.background);var cb=(undefined===b7.led?false:b7.led);var b8=(undefined===b7.pointer?false:b7.pointer);var b6=(undefined===b7.foreground?false:b7.foreground);if(b9){bv.width=bf;bv.height=bf;a9=bv.getContext("2d")}if(ca){bh.width=bf;bh.height=bf;bk=bh.getContext("2d")}if(cb){aU.width=Math.ceil(bf*0.093457);aU.height=Math.ceil(bf*0.093457);bb=aU.getContext("2d");a0.width=Math.ceil(bf*0.093457);a0.height=Math.ceil(bf*0.093457);aD=a0.getContext("2d");bu=a0}if(b8){bo.width=bf;bo.height=bf;b2=bo.getContext("2d")}if(b6){bJ.width=bf;bJ.height=bf;aO=bJ.getContext("2d")}};var by=function(b6){if(b6){bA=setInterval(bG,1000)}else{clearInterval(bA);bu=a0}};var bG=function(){if(aK){if(bu===aU){bu=a0}else{bu=aU}if(!bx){bx=true;U(bM.repaint)}}};this.setValue=function(b7){b7=parseFloat(b7);var b6=(b7<bE?bE:(b7>bC?bC:b7));if(bg!==b6){bg=b6;if(bg>bd){bd=bg}if(bg<aX){aX=bg}if((bg>=bO&&!a1&&bp)||(bg<=bO&&!a1&&!bp)){a1=true;by(a1);if(bW){aB.play()}}else{if((bg<bO&&a1&&bp)||(bg>bO&&a1&&!bp)){a1=false;by(a1);if(bW){aB.pause()}}}this.repaint()}return this};this.getValue=function(){return bg};this.setValueAnimated=function(b9,ca){b9=parseFloat(b9);var b6=(b9<bE?bE:(b9>bC?bC:b9)),b7=this,b8;if(bg!==b6){if(undefined!==aQ&&aQ.isPlaying){aQ.stop()}b8=bS*Math.abs(b6-bg)/(bC-bE);b8=Math.max(b8,bS/5);aQ=new Tween({},"",Tween.regularEaseInOut,bg,b6,b8);aQ.onMotionChanged=function(cb){bg=cb.target._pos;if((bg>=bO&&!a1&&bp)||(bg<=bO&&!a1&&!bp)){a1=true;by(a1);if(bW){aB.play()}}else{if((bg<bO&&a1&&bp)||(bg>bO&&a1&&!bp)){a1=false;by(a1);if(bW){aB.pause()}}}if(bg>bd){bd=bg}if(bg<aX){aX=bg}if(!bx){bx=true;U(b7.repaint)}};if(ca&&typeof(ca)==="function"){aQ.onMotionFinished=ca}aQ.start()}return this};this.resetMinMeasuredValue=function(){aX=bg;this.repaint();return this};this.resetMaxMeasuredValue=function(){bd=bg;this.repaint();return this};this.setMinMeasuredValueVisible=function(b6){be=!!b6;this.repaint();return this};this.setMaxMeasuredValueVisible=function(b6){ba=!!b6;this.repaint();return this};this.setMaxMeasuredValue=function(b7){b7=parseFloat(b7);var b6=b7<bE?bE:(b7>bC?bC:b7);bd=b6;this.repaint();return this};this.setMinMeasuredValue=function(b7){b7=parseFloat(b7);var b6=b7<bE?bE:(b7>bC?bC:b7);aX=b6;this.repaint();return this};this.setThresholdVisible=function(b6){b4=!!b6;this.repaint();return this};this.setThresholdRising=function(b6){bp=!!b6;a1=!a1;by(a1);this.repaint();return this};this.setFrameDesign=function(b6){aP({frame:true});b0=b6;bz({frame:true});this.repaint();return this};this.setBackgroundColor=function(b6){aP({background:true,pointer:(bF.type==="type2"||bF.type==="type13"?true:false)});a4=b6;bz({background:true,pointer:(bF.type==="type2"||bF.type==="type13"?true:false)});this.repaint();return this};this.setForegroundType=function(b6){aP({foreground:true});bT=b6;bz({foreground:true});this.repaint();return this};this.setPointerType=function(b6){aP({pointer:true,foreground:true});bF=b6;bz({pointer:true,foreground:true});this.repaint();return this};this.setPointerColor=function(b6){aP({pointer:true});bQ=b6;bz({pointer:true});this.repaint();return this};this.setLedColor=function(b6){aP({led:true});a7=b6;bz({led:true});this.repaint();return this};this.setLedVisible=function(b6){aK=!!b6;this.repaint();return this};this.repaint=function(){if(!aE){bz({frame:true,background:true,led:true,pointer:true,foreground:true})}aT.clearRect(0,0,bf,bf);aT.save();if(bU){aT.drawImage(bv,0,0)}aT.drawImage(bh,0,0);if(aK){aT.drawImage(bu,aJ,aH)}if(steelseries.Orientation.WEST===bK){aT.translate(aZ,aZ);aT.rotate(-L);aT.translate(-aZ,-aZ)}if(steelseries.Orientation.EAST===bK){aT.translate(aZ,aZ);aT.rotate(L);aT.translate(-aZ,-aZ)}if(be){aT.save();aT.translate(aZ,aY);aT.rotate(bD+L+(aX-bE)*bN);aT.translate(-aZ,-aY);aT.drawImage(aW,aT.canvas.width*0.4865,aT.canvas.height*0.27);aT.restore()}if(ba){aT.save();aT.translate(aZ,aY);aT.rotate(bD+L+(bd-bE)*bN);aT.translate(-aZ,-aY);aT.drawImage(bi,aT.canvas.width*0.4865,aT.canvas.height*0.27);aT.restore()}a8=bD+L+(bg-bE)*bN;aT.save();aT.translate(aZ,aY);aT.rotate(a8);aT.shadowColor="rgba(0, 0, 0, 0.8)";aT.shadowOffsetX=aT.shadowOffsetY=bn;aT.shadowBlur=bn*2;aT.translate(-bY,-bY);aT.drawImage(bo,0,0);aT.restore();if(bH){if(steelseries.Orientation.WEST===bK){aT.translate(aZ,aZ);aT.rotate(L);aT.translate(-aZ,-aZ)}else{if(steelseries.Orientation.EAST===bK){aT.translate(aZ,aZ);aT.rotate(-L);aT.translate(-aZ,-aZ)}}aT.drawImage(bJ,0,0)}aT.restore();bx=false};this.repaint();return this};var E=function(aN,br){br=br||{};var aM=(undefined===br.size?0:br.size),aD=(undefined===br.frameDesign?steelseries.FrameDesign.METAL:br.frameDesign),bb=(undefined===br.frameVisible?true:br.frameVisible),aC=(undefined===br.backgroundColor?steelseries.BackgroundColor.DARK_GRAY:br.backgroundColor),a5=(undefined===br.backgroundVisible?true:br.backgroundVisible),bm=(undefined===br.pointerTypeLatest?steelseries.PointerType.TYPE1:br.pointerTypeLatest),aS=(undefined===br.pointerTypeAverage?steelseries.PointerType.TYPE8:br.pointerTypeAverage),bB=(undefined===br.pointerColor?steelseries.ColorDef.RED:br.pointerColor),bj=(undefined===br.pointerColorAverage?steelseries.ColorDef.BLUE:br.pointerColorAverage),bC=(undefined===br.knobType?steelseries.KnobType.STANDARD_KNOB:br.knobType),be=(undefined===br.knobStyle?steelseries.KnobStyle.SILVER:br.knobStyle),bw=(undefined===br.foregroundType?steelseries.ForegroundType.TYPE1:br.foregroundType),bv=(undefined===br.foregroundVisible?true:br.foregroundVisible),aU=(undefined===br.pointSymbols?["N","NE","E","SE","S","SW","W","NW"]:br.pointSymbols),bH=(undefined===br.pointSymbolsVisible?true:br.pointSymbolsVisible),bI=(undefined===br.customLayer?null:br.customLayer),aP=(undefined===br.degreeScale?true:br.degreeScale),bG=(undefined===br.degreeScaleHalf?false:br.degreeScaleHalf),aJ=(undefined===br.roseVisible?false:br.roseVisible),ba=(undefined===br.lcdColor?steelseries.LcdColor.STANDARD:br.lcdColor),bl=(undefined===br.lcdVisible?true:br.lcdVisible),aK=(undefined===br.digitalFont?false:br.digitalFont),aY=(undefined===br.section?null:br.section),bd=(undefined===br.area?null:br.area),bu=(undefined===br.lcdTitleStrings?["Latest","Average"]:br.lcdTitleStrings),aV=(undefined===br.titleString?"":br.titleString),aZ=(undefined===br.useColorLabels?false:br.useColorLabels),bD=(undefined===br.fullScaleDeflectionTime?2.5:br.fullScaleDeflectionTime);var a0;var aX;var bA=0;var a2=0;var bk=i;var bc=this.valueLatest;var bt=this.valueAverage;var bo=-L;var a1=D;var aO=360;var aR=false;var bq=o(aN);if(aM===0){aM=Math.min(bq.canvas.width,bq.canvas.height)}bq.canvas.width=aM;bq.canvas.height=aM;var bF=aM;var bf=aM;var aG=bF/2;var aF=bf/2;var bz=Math.floor(bF/10);var a8=bz+"px "+P;var bi=bz+"px "+ao;var aE=bF*0.3;var a7=bf*0.12;var a4=(bF-aE)/2;var aI=bf*0.32;var aH=bf*0.565;var aQ=false;var bg=F(aM,aM);var aB=bg.getContext("2d");var by;var a9=F(aM,aM);var aL=a9.getContext("2d");var bE=F(aM,aM);var aW=bE.getContext("2d");var bn=F(aM,aM);var a3=bn.getContext("2d");var aT=function(bK,bJ){bq.save();bq.textAlign="center";bq.strokeStyle=ba.textColor;bq.fillStyle=ba.textColor;while(bK<-180){bK+=360}if(!bG&&bK<0){bK+=360}if(bG&&bK>180){bK=-(360-bK)}if(bK>=0){bK="00"+Math.round(bK);bK=bK.substring(bK.length,bK.length-3)}else{bK="00"+Math.abs(Math.round(bK));bK="-"+bK.substring(bK.length,bK.length-3)}if(ba===steelseries.LcdColor.STANDARD||ba===steelseries.LcdColor.STANDARD_GREEN){bq.shadowColor="gray";bq.shadowOffsetX=bF*0.007;bq.shadowOffsetY=bF*0.007;bq.shadowBlur=bF*0.007}bq.font=(aK?bi:a8);bq.fillText(bK+"\u00B0",bF/2+aE*0.05,(bJ?aI:aH)+a7*0.5+bz*0.38,aE*0.9);bq.restore()};var bh=function(bJ,bP,bM,bK,bN){bJ.save();bJ.strokeStyle=bK;bJ.fillStyle=bK;bJ.lineWidth=bF*0.035;var bL=(a1/aO*bP);var bO=bL+(bM-bP)/(aO/a1);bJ.translate(aG,aF);bJ.rotate(bo);bJ.beginPath();if(bN){bJ.moveTo(0,0);bJ.arc(0,0,bF*0.365-bJ.lineWidth/2,bL,bO,false)}else{bJ.arc(0,0,bF*0.365,bL,bO,false)}if(bN){bJ.moveTo(0,0);bJ.fill()}else{bJ.stroke()}bJ.translate(-aG,-aF);bJ.restore()};var bx=function(bU){var bP=bF*0.38,bK=bF*0.35,bM=bF*0.36,bL=bF*0.1,bS=bF*0.31,bJ=bF*0.36,bT,bN,bQ,bO,bR;bU.textAlign="center";bU.textBaseline="middle";bU.save();bU.strokeStyle=aC.labelColor.getRgbaColor();bU.fillStyle=aC.labelColor.getRgbaColor();bU.translate(aG,aF);if(!aP){bT=0.12*bF+"px serif";bN=0.06*bF+"px serif";bU.lineWidth=1;bU.strokeStyle=aC.symbolColor.getRgbaColor();for(bQ=0;360>bQ;bQ+=2.5){if(0===bQ%5){bU.beginPath();bU.moveTo(bF*0.38,0);bU.lineTo(bF*0.36,0);bU.closePath();bU.stroke()}bU.save();switch(bQ){case 0:bU.translate(bF*0.35,0);bU.rotate(L);bU.font=bT;bU.fillText(aU[2],0,0);bU.translate(-bF*0.35,0);break;case 45:bU.translate(bF*0.29,0);bU.rotate(L);bU.font=bN;bU.fillText(aU[3],0,0);bU.translate(-bF*0.29,0);break;case 90:bU.translate(bF*0.35,0);bU.rotate(L);bU.font=bT;bU.fillText(aU[4],0,0);bU.translate(-bF*0.35,0);break;case 135:bU.translate(bF*0.29,0);bU.rotate(L);bU.font=bN;bU.fillText(aU[5],0,0);bU.translate(-bF*0.29,0);break;case 180:bU.translate(bF*0.35,0);bU.rotate(L);bU.font=bT;bU.fillText(aU[6],0,0);bU.translate(-bF*0.35,0);break;case 225:bU.translate(bF*0.29,0);bU.rotate(L);bU.font=bN;bU.fillText(aU[7],0,0);bU.translate(-bF*0.29,0);break;case 270:bU.translate(bF*0.35,0);bU.rotate(L);bU.font=bT;bU.fillText(aU[0],0,0);bU.translate(-bF*0.35,0);break;case 315:bU.translate(bF*0.29,0);bU.rotate(L);bU.font=bN;bU.fillText(aU[1],0,0);bU.translate(-bF*0.29,0);break}bU.restore();if(aJ&&(0===bQ||22.5===bQ||45===bQ||67.5===bQ||90===bQ||112.5===bQ||135===bQ||157.5===bQ||180===bQ||202.5===bQ||225===bQ||247.5===bQ||270===bQ||292.5===bQ||315===bQ||337.5===bQ||360===bQ)){bU.save();bU.beginPath();if(bQ%45){bU.moveTo(bF*0.29,0)}else{bU.moveTo(bF*0.38,0)}bU.lineTo(bF*0.1,0);bU.closePath();bU.restore();bU.stroke()}bU.rotate(bk*2.5)}}else{bT=Math.floor(0.1*bF)+"px serif bold";bN=Math.floor(bF*0.04)+"px "+P;bU.rotate(bk*5);for(bQ=5;360>=bQ;bQ+=5){bU.save();if(bH){switch(bQ){case 360:bU.translate(bJ,0);bU.rotate(L);bU.font=bT;bU.fillText(aU[2],0,0,bL);bU.translate(-bJ,0);break;case 90:bU.translate(bJ,0);bU.rotate(L);bU.font=bT;bU.fillText(aU[4],0,0,bL);bU.translate(-bJ,0);break;case 180:bU.translate(bJ,0);bU.rotate(L);bU.font=bT;bU.fillText(aU[6],0,0,bL);bU.translate(-bJ,0);break;case 270:bU.translate(bJ,0);bU.rotate(L);bU.font=bT;bU.fillText(aU[0],0,0,bL);bU.translate(-bJ,0);break;case 5:case 85:case 95:case 175:case 185:case 265:case 275:case 355:break;default:if((bQ+90)%20){bU.lineWidth=((bQ+90)%5)?1.5:1;bU.beginPath();bU.moveTo(bP,0);bR=(bQ+90)%10?bM:bK;bU.lineTo(bR,0);bU.closePath();bU.stroke()}else{bU.lineWidth=1.5;bU.beginPath();bU.moveTo(bP,0);bU.lineTo(bK,0);bU.closePath();bU.stroke();bO=(bQ+90)%360;bU.translate(bS,0);bU.rotate(L);bU.font=bN;bU.fillText(("0".substring(bO>=100)+bO),0,0,bL);bU.translate(-bS,0)}}}else{if((bQ+90)%20){bU.lineWidth=((bQ+90)%5)?1.5:1;bU.beginPath();bU.moveTo(bP,0);bR=(bQ+90)%10?bM:bK;bU.lineTo(bR,0);bU.closePath();bU.stroke()}else{bU.lineWidth=1.5;bU.beginPath();bU.moveTo(bP,0);bU.lineTo(bK,0);bU.closePath();bU.stroke();bO=(bQ+90)%360;if(bG){if(bO>180){bO=-(360-bO)}}bU.translate(bS,0);bU.rotate(L);bU.font=bN;bU.fillText(bO,0,0,bL);bU.translate(-bS,0)}}bU.restore();bU.rotate(bk*5)}}bU.translate(-aG,-aF);bU.restore()};var a6=function(bJ){if(bu.length>0){bJ.save();bJ.textAlign="center";bJ.textBaseline="middle";bJ.fillStyle=(aZ?bB.medium.getRgbaColor():aC.labelColor.getRgbaColor());bJ.font=0.04*bF+"px "+P;bJ.fillText(bu[0],bF/2,bf*0.29,bF*0.3);bJ.fillStyle=(aZ?bj.medium.getRgbaColor():aC.labelColor.getRgbaColor());bJ.fillText(bu[1],bF/2,bf*0.71,bF*0.3);if(aV.length>0){bJ.fillStyle=aC.labelColor.getRgbaColor();bJ.font=0.0467*bF+"px "+P;bJ.fillText(aV,bF/2,bf*0.5,bF*0.3)}}};var bp=function(bM){bM=bM||{};var bO=(undefined===bM.background?false:bM.background);var bL=(undefined===bM.pointer?false:bM.pointer);var bJ=(undefined===bM.foreground?false:bM.foreground);aQ=true;if(bO&&bb){c(aB,aD,aG,aF,bF,bf)}if(bO&&a5){az(aB,aC,aG,aF,bF,bf);K(aB,bI,aG,aF,bF,bf);if(null!==aY&&0<aY.length){var bN=aY.length;do{bN--;bh(aB,aY[bN].start,aY[bN].stop,aY[bN].color,false)}while(0<bN)}if(null!==bd&&0<bd.length){var bK=bd.length;do{bK--;bh(aB,bd[bK].start,bd[bK].stop,bd[bK].color,true)}while(0<bK)}bx(aB)}if(bO&&aJ){d(aB,aG,aF,bF,bf,aC)}if(bO&&bl){by=O(aE,a7,ba);aB.drawImage(by,a4,aI);aB.drawImage(by,a4,aH);a6(aB)}if(bL){A(aW,bF,aS,bj,aC.labelColor);A(aL,bF,bm,bB,aC.labelColor)}if(bJ&&bv){var bP=(bm.type==="type15"||bm.type==="type16"?false:true);w(a3,bw,bF,bf,bP,bC,be)}};var bs=function(bK){bK=bK||{};var bM=(undefined===bK.background?false:bK.background);var bL=(undefined===bK.pointer?false:bK.pointer);var bJ=(undefined===bK.foreground?false:bK.foreground);if(bM){bg.width=aM;bg.height=aM;aB=bg.getContext("2d")}if(bL){a9.width=aM;a9.height=aM;aL=a9.getContext("2d");bE.width=aM;bE.height=aM;aW=bE.getContext("2d")}if(bJ){bn.width=aM;bn.height=aM;a3=bn.getContext("2d")}};this.setValueLatest=function(bJ){bJ=parseFloat(bJ);bJ=bJ===360?360:bJ%360;if(bA!==bJ){bA=bJ;this.repaint()}return this};this.getValueLatest=function(){return bA};this.setValueAverage=function(bJ){bJ=parseFloat(bJ);bJ=bJ===360?360:bJ%360;if(a2!==bJ){a2=bJ;this.repaint()}return this};this.getValueAverage=function(){return a2};this.setValueAnimatedLatest=function(bN,bO){var bJ,bK=this,bM,bL;bN=parseFloat(bN);bJ=(bN===360?360:bN%360);if(bA!==bJ){if(undefined!==a0&&a0.isPlaying){a0.stop()}bM=Z(bA,bJ);if(bM!==0){bL=bD*Math.abs(bM)/180;bL=Math.max(bL,bD/5);a0=new Tween({},"",Tween.regularEaseInOut,bA,bA+bM,bL);a0.onMotionChanged=function(bP){bA=bP.target._pos===360?360:bP.target._pos%360;if(!aR){aR=true;U(bK.repaint)}};a0.onMotionFinished=function(){bA=bJ;if(!aR){aR=true;U(bK.repaint)}if(bO&&typeof(bO)==="function"){bO()}};a0.start()}else{bA=bJ;if(!aR){aR=true;U(bK.repaint)}}}return this};this.setValueAnimatedAverage=function(bN,bO){var bJ,bK=this,bM,bL;bN=parseFloat(bN);bJ=(bN===360?360:bN%360);if(a2!==bN){if(undefined!==aX&&aX.isPlaying){aX.stop()}bM=Z(a2,bJ);if(bM!==0){bL=bD*Math.abs(bM)/180;bL=Math.max(bL,bD/5);aX=new Tween({},"",Tween.regularEaseInOut,a2,a2+bM,bL);aX.onMotionChanged=function(bP){a2=bP.target._pos===360?360:bP.target._pos%360;if(!aR){aR=true;U(bK.repaint)}};aX.onMotionFinished=function(){a2=bJ;if(!aR){aR=true;U(bK.repaint)}if(bO&&typeof(bO)==="function"){bO()}};aX.start()}else{a2=bJ;if(!aR){aR=true;U(bK.repaint)}}}return this};this.setArea=function(bJ){bd=bJ;bs({background:true});bp({background:true});this.repaint();return this};this.setSection=function(bJ){aY=bJ;bs({background:true});bp({background:true});this.repaint();return this};this.setFrameDesign=function(bJ){aD=bJ;bs({background:true});bp({background:true});this.repaint();return this};this.setBackgroundColor=function(bJ){aC=bJ;bs({background:true});bp({background:true});this.repaint();return this};this.setForegroundType=function(bJ){bs({foreground:true});bw=bJ;bp({foreground:true});this.repaint();return this};this.setPointerColor=function(bJ){bs({pointer:true});bB=bJ;bp({pointer:true});this.repaint();return this};this.setPointerColorAverage=function(bJ){bs({pointer:true});bj=bJ;bp({pointer:true});this.repaint();return this};this.setPointerType=function(bJ){bm=bJ;bs({pointer:true,foreground:true});bp({pointer:true,foreground:true});this.repaint();return this};this.setPointerTypeAverage=function(bJ){aS=bJ;bs({pointer:true,foreground:true});bp({pointer:true,foreground:true});this.repaint();return this};this.setPointSymbols=function(bJ){aU=bJ;bs({background:true});bp({background:true});this.repaint();return this};this.setLcdColor=function(bJ){ba=bJ;bs({background:true});bp({background:true});this.repaint();return this};this.setLcdTitleStrings=function(bJ){bu=bJ;bs({background:true});bp({background:true});this.repaint();return this};this.repaint=function(){if(!aQ){bp({frame:true,background:true,led:true,pointer:true,foreground:true})}bq.clearRect(0,0,bq.canvas.width,bq.canvas.height);if(bb||a5){bq.drawImage(bg,0,0)}if(bl){aT(bA,true);aT(a2,false)}bt=a2*bk;var bJ=bF*0.006;bq.save();bq.translate(aG,aF);bq.rotate(bt);bq.translate(-aG,-aF);bq.shadowColor="rgba(0, 0, 0, 0.8)";bq.shadowOffsetX=bq.shadowOffsetY=bJ;bq.shadowBlur=bJ*2;bq.drawImage(bE,0,0);bc=bA*bk-bt;bq.translate(aG,aF);bq.rotate(bc);bq.translate(-aG,-aF);bq.drawImage(a9,0,0);bq.restore();if(bv){bq.drawImage(bn,0,0)}aR=false};this.repaint();return this};var aA=function(aO,br){br=br||{};var aN=(undefined===br.size?0:br.size),aF=(undefined===br.frameDesign?steelseries.FrameDesign.METAL:br.frameDesign),bd=(undefined===br.frameVisible?true:br.frameVisible),aC=(undefined===br.backgroundColor?steelseries.BackgroundColor.DARK_GRAY:br.backgroundColor),a7=(undefined===br.backgroundVisible?true:br.backgroundVisible),a1=(undefined===br.titleString?"":br.titleString),a3=(undefined===br.unitString?"":br.unitString),ba=(undefined===br.unitAltPos?false:true),bx=(undefined===br.knobType?steelseries.KnobType.METAL_KNOB:br.knobType),be=(undefined===br.knobStyle?steelseries.KnobStyle.BLACK:br.knobStyle),bb=(undefined===br.lcdColor?steelseries.LcdColor.BLACK:br.lcdColor),bl=(undefined===br.lcdVisible?true:br.lcdVisible),aK=(undefined===br.digitalFont?false:br.digitalFont),bu=(undefined===br.foregroundType?steelseries.ForegroundType.TYPE1:br.foregroundType),bt=(undefined===br.foregroundVisible?true:br.foregroundVisible),bz=(undefined===br.customLayer?null:br.customLayer),aI=0,aV=10,bk=aI,bn=0,aX=0,aU=0,aR,bh,aT,bo=1,aZ,aY=false,by,bf,aH,aG,a9,bq=o(aO),a5=ac,aS=false,aW=F(aN,aN),aJ=aW.getContext("2d"),bi=F(aN,aN),aB=bi.getContext("2d"),bw,aM=F(aN,aN),bg=aM.getContext("2d"),a2=F(aN,aN),aD=a2.getContext("2d"),aP=F(aN,aN),aQ=aP.getContext("2d"),bm=F(aN,aN),a4=bm.getContext("2d");bq.save();aN=(aN===0?Math.min(bq.canvas.width,bq.canvas.height):aN);bq.canvas.width=aN;bq.canvas.height=aN;by=aN;bf=aN;aH=by/2;aG=bf/2;var bc=ba?bf*0.68:false;a9=Math.floor(by*0.09)+"px "+P;var a0=function(bA){bq.save();bq.textAlign="right";bq.textBaseline="middle";bq.strokeStyle=bb.textColor;bq.fillStyle=bb.textColor;if(bb===steelseries.LcdColor.STANDARD||bb===steelseries.LcdColor.STANDARD_GREEN){bq.shadowColor="gray";bq.shadowOffsetX=by*0.007;bq.shadowOffsetY=by*0.007;bq.shadowBlur=by*0.009}if(aK){bq.font=Math.floor(by*0.075)+"px "+ao}else{bq.font=Math.floor(by*0.075)+"px bold "+P}bq.fillText(Math.round(bA),(by+(by*0.4))/2-4,by*0.607,by*0.4);bq.restore()};var bv=function(bN,bS,bF,bQ,bH,bK){var bL=Math.max(by*0.012,2),bB=Math.max(by*0.007,1.5),bI=by*0.13,bD=by*0.05,bP=by*0.07,bO=by*0.4,bJ=0,bM=0,bA=0,bR=0,bE,bG,bC=-bF-(bS/2);bN.save();bN.textAlign="center";bN.textBaseline="middle";bN.font=a9;bN.strokeStyle=aC.labelColor.getRgbaColor();bN.fillStyle=aC.labelColor.getRgbaColor();for(bE=bC,bG=0;bG<=10;bE-=bK*0.1,bG+=0.1){bA=Math.sin(bE);bR=Math.cos(bE);if(bJ%2===0){bN.lineWidth=bB;bN.beginPath();bN.moveTo(aH+(bO-bD)*bA,aG+(bO-bD)*bR);bN.lineTo(aH+bO*bA,aG+bO*bR);bN.closePath();bN.stroke()}if(bJ===10||bJ===0){bN.lineWidth=bL;if(bS===0){if(Math.round(bG)!==aV){bN.fillText(Math.round(bG).toString(),aH+(bO-bI)*bA,aG+(bO-bI)*bR)}}bJ=0;bM++;bN.beginPath();bN.moveTo(aH+(bO-bP)*bA,aG+(bO-bP)*bR);bN.lineTo(aH+bO*bA,aG+bO*bR);bN.closePath();bN.stroke()}bJ++}bN.restore()};var aL=function(bA,bC){var bB;if(bC){bA.fillStyle="rgba(0, 0, 0, 0.5)";bA.strokeStyle="rgba(0, 0, 0, 0.5)"}else{bB=bA.createLinearGradient(0,bf*0.168224,0,bf*0.626168);bB.addColorStop(0,"#ffffff");bB.addColorStop(0.31,"#ffffff");bB.addColorStop(0.3101,"#ffffff");bB.addColorStop(0.32,"#202020");bB.addColorStop(1,"#202020");bA.fillStyle=bB}bA.save();bA.beginPath();bA.moveTo(by*0.518691,bf*0.471962);bA.bezierCurveTo(by*0.514018,bf*0.471962,by*0.509345,bf*0.467289,by*0.509345,bf*0.467289);bA.lineTo(by*0.509345,bf*0.200934);bA.lineTo(by*0.5,bf*0.168224);bA.lineTo(by*0.490654,bf*0.200934);bA.lineTo(by*0.490654,bf*0.467289);bA.bezierCurveTo(by*0.490654,bf*0.467289,by*0.481308,bf*0.471962,by*0.481308,bf*0.471962);bA.bezierCurveTo(by*0.471962,bf*0.481308,by*0.467289,bf*0.490654,by*0.467289,bf*0.5);bA.bezierCurveTo(by*0.467289,bf*0.514018,by*0.476635,bf*0.528037,by*0.490654,bf*0.53271);bA.bezierCurveTo(by*0.490654,bf*0.53271,by*0.490654,bf*0.579439,by*0.490654,bf*0.588785);bA.bezierCurveTo(by*0.485981,bf*0.593457,by*0.481308,bf*0.59813,by*0.481308,bf*0.607476);bA.bezierCurveTo(by*0.481308,bf*0.616822,by*0.490654,bf*0.626168,by*0.5,bf*0.626168);bA.bezierCurveTo(by*0.509345,bf*0.626168,by*0.518691,bf*0.616822,by*0.518691,bf*0.607476);bA.bezierCurveTo(by*0.518691,bf*0.59813,by*0.514018,bf*0.593457,by*0.504672,bf*0.588785);bA.bezierCurveTo(by*0.504672,bf*0.579439,by*0.504672,bf*0.53271,by*0.509345,bf*0.53271);bA.bezierCurveTo(by*0.523364,bf*0.528037,by*0.53271,bf*0.514018,by*0.53271,bf*0.5);bA.bezierCurveTo(by*0.53271,bf*0.490654,by*0.528037,bf*0.481308,by*0.518691,bf*0.471962);bA.closePath();bA.fill();bA.restore()};var a6=function(bA){var bB;bB=bA.createLinearGradient(0,bf*0.401869,0,bf*0.616822);bB.addColorStop(0,"#ffffff");bB.addColorStop(0.51,"#ffffff");bB.addColorStop(0.52,"#ffffff");bB.addColorStop(0.5201,"#202020");bB.addColorStop(0.53,"#202020");bB.addColorStop(1,"#202020");bA.fillStyle=bB;bA.beginPath();bA.moveTo(by*0.518691,bf*0.471962);bA.bezierCurveTo(by*0.514018,bf*0.462616,by*0.528037,bf*0.401869,by*0.528037,bf*0.401869);bA.lineTo(by*0.5,bf*0.331775);bA.lineTo(by*0.471962,bf*0.401869);bA.bezierCurveTo(by*0.471962,bf*0.401869,by*0.485981,bf*0.462616,by*0.481308,bf*0.471962);bA.bezierCurveTo(by*0.471962,bf*0.481308,by*0.467289,bf*0.490654,by*0.467289,bf*0.5);bA.bezierCurveTo(by*0.467289,bf*0.514018,by*0.476635,bf*0.528037,by*0.490654,bf*0.53271);bA.bezierCurveTo(by*0.490654,bf*0.53271,by*0.462616,bf*0.574766,by*0.462616,bf*0.593457);bA.bezierCurveTo(by*0.467289,bf*0.616822,by*0.5,bf*0.612149,by*0.5,bf*0.612149);bA.bezierCurveTo(by*0.5,bf*0.612149,by*0.53271,bf*0.616822,by*0.537383,bf*0.593457);bA.bezierCurveTo(by*0.537383,bf*0.574766,by*0.509345,bf*0.53271,by*0.509345,bf*0.53271);bA.bezierCurveTo(by*0.523364,bf*0.528037,by*0.53271,bf*0.514018,by*0.53271,bf*0.5);bA.bezierCurveTo(by*0.53271,bf*0.490654,by*0.528037,bf*0.481308,by*0.518691,bf*0.471962);bA.closePath();bA.fill();bA.restore()};var bj=function(bA){bA.fillStyle="#ffffff";bA.beginPath();bA.moveTo(by*0.518691,bf*0.471962);bA.bezierCurveTo(by*0.514018,bf*0.471962,by*0.514018,bf*0.467289,by*0.514018,bf*0.467289);bA.lineTo(by*0.514018,bf*0.317757);bA.lineTo(by*0.504672,bf*0.303738);bA.lineTo(by*0.504672,bf*0.182242);bA.lineTo(by*0.53271,bf*0.116822);bA.lineTo(by*0.462616,bf*0.116822);bA.lineTo(by*0.495327,bf*0.182242);bA.lineTo(by*0.495327,bf*0.299065);bA.lineTo(by*0.485981,bf*0.317757);bA.lineTo(by*0.485981,bf*0.467289);bA.bezierCurveTo(by*0.485981,bf*0.467289,by*0.485981,bf*0.471962,by*0.481308,bf*0.471962);bA.bezierCurveTo(by*0.471962,bf*0.481308,by*0.467289,bf*0.490654,by*0.467289,bf*0.5);bA.bezierCurveTo(by*0.467289,bf*0.518691,by*0.481308,bf*0.53271,by*0.5,bf*0.53271);bA.bezierCurveTo(by*0.518691,bf*0.53271,by*0.53271,bf*0.518691,by*0.53271,bf*0.5);bA.bezierCurveTo(by*0.53271,bf*0.490654,by*0.528037,bf*0.481308,by*0.518691,bf*0.471962);bA.closePath();bA.fill()};function a8(){aR=(D)/(aV-aI);bh=aR/10;aT=bh/10}function aE(){bn=(bk%1000)/100;aX=(bk%10000)/100;aU=(bk%100000)/100}var bp=function(bB){bB=bB||{};var bC=(undefined===bB.frame?false:bB.frame),bD=(undefined===bB.background?false:bB.background),bE=(undefined===bB.pointers?false:bB.pointers),bA=(undefined===bB.foreground?false:bB.foreground);aS=true;a8();if(bC&&bd){c(aJ,aF,aH,aG,by,bf)}if(bD&&a7){az(aB,aC,aH,aG,by,bf);K(aB,bz,aH,aG,by,bf);bv(aB,0,a5,0,10,aR,bo,0,true,true,null);ad(aB,by,bf,a1,a3,aC,true,true,bc)}if(bD&&bl){bw=O(by*0.4,bf*0.09,bb);aB.drawImage(bw,(by-(by*0.4))/2,bf*0.56)}if(bE){aL(aQ,false);a6(aD,false);bj(bg,false)}if(bA&&bt){w(a4,bu,by,bf,true,bx,be)}};var bs=function(bB){bB=bB||{};var bC=(undefined===bB.frame?false:bB.frame),bD=(undefined===bB.background?false:bB.background),bE=(undefined===bB.pointers?false:bB.pointers),bA=(undefined===bB.foreground?false:bB.foreground);if(bC){aW.width=aN;aW.height=aN;aJ=aW.getContext("2d")}if(bD){bi.width=aN;bi.height=aN;aB=bi.getContext("2d")}if(bE){aP.width=aN;aP.height=aN;aQ=aP.getContext("2d");a2.width=aN;a2.height=aN;aD=a2.getContext("2d");aM.width=aN;aM.height=aN;bg=aM.getContext("2d")}if(bA){bm.width=aN;bm.height=aN;a4=bm.getContext("2d")}};this.setValue=function(bA){bk=parseFloat(bA);this.repaint()};this.getValue=function(){return bk};this.setValueAnimated=function(bD,bE){bD=parseFloat(bD);var bA=(bD<aI?aI:bD),bB=this,bC;if(bk!==bA){if(undefined!==aZ&&aZ.isPlaying){aZ.stop()}bC=Math.max(Math.abs(bk-bA)/10000*5,1);aZ=new Tween({},"",Tween.regularEaseInOut,bk,bA,bC);aZ.onMotionChanged=function(bF){bk=bF.target._pos;if(!aY){aY=true;U(bB.repaint)}};if(bE&&typeof(bE)==="function"){aZ.onMotionFinished=bE}aZ.start()}return this};this.setFrameDesign=function(bA){bs({frame:true});aF=bA;bp({frame:true});this.repaint();return this};this.setBackgroundColor=function(bA){bs({background:true,pointer:true});aC=bA;bp({background:true,pointer:true});this.repaint();return this};this.setForegroundType=function(bA){bs({foreground:true});bu=bA;bp({foreground:true});this.repaint();return this};this.setLcdColor=function(bA){bb=bA;bs({background:true});bp({background:true});this.repaint();return this};this.setTitleString=function(bA){a1=bA;bs({background:true});bp({background:true});this.repaint();return this};this.setUnitString=function(bA){a3=bA;bs({background:true});bp({background:true});this.repaint();return this};this.repaint=function(){if(!aS){bp({frame:true,background:true,led:true,pointers:true,foreground:true})}bq.clearRect(0,0,bq.canvas.width,bq.canvas.height);if(bd){bq.drawImage(aW,0,0)}bq.drawImage(bi,0,0);if(bl){a0(bk)}aE();var bA=by*0.006*0.5;bq.save();bq.translate(aH,aG);bq.rotate((aU-aI)*aT);bq.translate(-aH,-aG);bq.shadowColor="rgba(0, 0, 0, 0.8)";bq.shadowOffsetX=bq.shadowOffsetY=bA;bq.shadowBlur=bA*2;bq.drawImage(aM,0,0);bA=by*0.006*0.75;bq.shadowOffsetX=bq.shadowOffsetY=bA;bq.translate(aH,aG);bq.rotate((aX-aI)*bh-(aU-aI)*aT);bq.translate(-aH,-aG);bq.drawImage(a2,0,0);bA=by*0.006;bq.shadowOffsetX=bq.shadowOffsetY=bA;bq.translate(aH,aG);bq.rotate((bn-aI)*aR-(aX-aI)*bh);bq.translate(-aH,-aG);bq.drawImage(aP,0,0);bq.restore();if(bt){bq.drawImage(bm,0,0)}aY=false};this.repaint();return this};var d=function(aK,aC,aB,aG,aE,aI){var aJ=true,aD,aH,aF=aI.symbolColor.getRgbaColor();aK.save();aK.lineWidth=1;aK.fillStyle=aF;aK.strokeStyle=aF;aK.translate(aC,aB);for(aD=0;aD<360;aD+=15){aJ=!aJ;aK.beginPath();aK.arc(0,0,aG*0.26,aD*i,(aD+15)*i,false);aK.arc(0,0,aG*0.23,(aD+15)*i,aD*i,true);aK.closePath();if(aJ){aK.fill()}aK.stroke()}aK.translate(-aC,-aB);for(aD=0;360>=aD;aD+=90){aK.beginPath();aK.moveTo(aG*0.560747,aE*0.584112);aK.lineTo(aG*0.640186,aE*0.644859);aK.lineTo(aG*0.584112,aE*0.560747);aK.lineTo(aG*0.560747,aE*0.584112);aK.closePath();aK.fillStyle=aF;aK.fill();aK.stroke();aK.beginPath();aK.moveTo(aG*0.523364,aE*0.397196);aK.lineTo(aG*0.5,aE*0.196261);aK.lineTo(aG*0.471962,aE*0.397196);aK.lineTo(aG*0.523364,aE*0.397196);aK.closePath();aH=aK.createLinearGradient(0.476635*aG,0,0.518691*aG,0);aH.addColorStop(0,"rgb(222, 223, 218)");aH.addColorStop(0.48,"rgb(222, 223, 218)");aH.addColorStop(0.49,aF);aH.addColorStop(1,aF);aK.fillStyle=aH;aK.fill();aK.stroke();aK.translate(aC,aB);aK.rotate(aD*i);aK.translate(-aC,-aB)}aK.beginPath();aK.translate(aC,aB);aK.arc(0,0,aG*0.1,0,D,false);aK.lineWidth=aG*0.022;aK.stroke();aK.translate(-aC,-aB);aK.restore()};var A=function(aI,aK,aB,aH,aJ){var aG,aC,aF,aD,aE=aK.toString()+aB.type+aH.light.getHexColor()+aH.medium.getHexColor();if(!A.cache[aE]){aG=F(aK,aK);aC=aG.getContext("2d");switch(aB.type){case"type2":aF=aC.createLinearGradient(0,aK*0.471962,0,aK*0.130841);aF.addColorStop(0,aJ.getRgbaColor());aF.addColorStop(0.36,aJ.getRgbaColor());aF.addColorStop(0.361,aH.light.getRgbaColor());aF.addColorStop(1,aH.light.getRgbaColor());aC.fillStyle=aF;aC.beginPath();aC.moveTo(aK*0.518691,aK*0.471962);aC.lineTo(aK*0.509345,aK*0.462616);aC.lineTo(aK*0.509345,aK*0.341121);aC.lineTo(aK*0.504672,aK*0.130841);aC.lineTo(aK*0.495327,aK*0.130841);aC.lineTo(aK*0.490654,aK*0.341121);aC.lineTo(aK*0.490654,aK*0.462616);aC.lineTo(aK*0.481308,aK*0.471962);aC.closePath();aC.fill();break;case"type3":aC.beginPath();aC.rect(aK*0.495327,aK*0.130841,aK*0.009345,aK*0.373831);aC.closePath();aC.fillStyle=aH.light.getRgbaColor();aC.fill();break;case"type4":aF=aC.createLinearGradient(0.467289*aK,0,0.528036*aK,0);aF.addColorStop(0,aH.dark.getRgbaColor());aF.addColorStop(0.51,aH.dark.getRgbaColor());aF.addColorStop(0.52,aH.light.getRgbaColor());aF.addColorStop(1,aH.light.getRgbaColor());aC.fillStyle=aF;aC.beginPath();aC.moveTo(aK*0.5,aK*0.126168);aC.lineTo(aK*0.514018,aK*0.135514);aC.lineTo(aK*0.53271,aK*0.5);aC.lineTo(aK*0.523364,aK*0.602803);aC.lineTo(aK*0.476635,aK*0.602803);aC.lineTo(aK*0.467289,aK*0.5);aC.lineTo(aK*0.485981,aK*0.135514);aC.lineTo(aK*0.5,aK*0.126168);aC.closePath();aC.fill();break;case"type5":aF=aC.createLinearGradient(0.471962*aK,0,0.528036*aK,0);aF.addColorStop(0,aH.light.getRgbaColor());aF.addColorStop(0.5,aH.light.getRgbaColor());aF.addColorStop(0.5,aH.medium.getRgbaColor());aF.addColorStop(1,aH.medium.getRgbaColor());aC.fillStyle=aF;aC.beginPath();aC.moveTo(aK*0.5,aK*0.495327);aC.lineTo(aK*0.528037,aK*0.495327);aC.lineTo(aK*0.5,aK*0.149532);aC.lineTo(aK*0.471962,aK*0.495327);aC.lineTo(aK*0.5,aK*0.495327);aC.closePath();aC.fill();aC.lineWidth=1;aC.lineCap="square";aC.lineJoin="miter";aC.strokeStyle=aH.dark.getRgbaColor();aC.stroke();break;case"type6":aC.fillStyle=aH.medium.getRgbaColor();aC.beginPath();aC.moveTo(aK*0.481308,aK*0.485981);aC.lineTo(aK*0.481308,aK*0.392523);aC.lineTo(aK*0.485981,aK*0.317757);aC.lineTo(aK*0.495327,aK*0.130841);aC.lineTo(aK*0.504672,aK*0.130841);aC.lineTo(aK*0.514018,aK*0.317757);aC.lineTo(aK*0.518691,aK*0.38785);aC.lineTo(aK*0.518691,aK*0.485981);aC.lineTo(aK*0.504672,aK*0.485981);aC.lineTo(aK*0.504672,aK*0.38785);aC.lineTo(aK*0.5,aK*0.317757);aC.lineTo(aK*0.495327,aK*0.392523);aC.lineTo(aK*0.495327,aK*0.485981);aC.lineTo(aK*0.481308,aK*0.485981);aC.closePath();aC.fill();break;case"type7":aF=aC.createLinearGradient(0.481308*aK,0,0.518691*aK,0);aF.addColorStop(0,aH.dark.getRgbaColor());aF.addColorStop(1,aH.medium.getRgbaColor());aC.fillStyle=aF;aC.beginPath();aC.moveTo(aK*0.490654,aK*0.130841);aC.lineTo(aK*0.481308,aK*0.5);aC.lineTo(aK*0.518691,aK*0.5);aC.lineTo(aK*0.504672,aK*0.130841);aC.lineTo(aK*0.490654,aK*0.130841);aC.closePath();aC.fill();break;case"type8":aF=aC.createLinearGradient(0.471962*aK,0,0.528036*aK,0);aF.addColorStop(0,aH.light.getRgbaColor());aF.addColorStop(0.5,aH.light.getRgbaColor());aF.addColorStop(0.5,aH.medium.getRgbaColor());aF.addColorStop(1,aH.medium.getRgbaColor());aC.fillStyle=aF;aC.strokeStyle=aH.dark.getRgbaColor();aC.beginPath();aC.moveTo(aK*0.5,aK*0.53271);aC.lineTo(aK*0.53271,aK*0.5);aC.bezierCurveTo(aK*0.53271,aK*0.5,aK*0.509345,aK*0.457943,aK*0.5,aK*0.149532);aC.bezierCurveTo(aK*0.490654,aK*0.457943,aK*0.467289,aK*0.5,aK*0.467289,aK*0.5);aC.lineTo(aK*0.5,aK*0.53271);aC.closePath();aC.fill();aC.stroke();break;case"type9":aF=aC.createLinearGradient(0.471962*aK,0,0.528036*aK,0);aF.addColorStop(0,"rgb(50, 50, 50)");aF.addColorStop(0.5,"#666666");aF.addColorStop(1,"rgb(50, 50, 50)");aC.fillStyle=aF;aC.strokeStyle="#2E2E2E";aC.beginPath();aC.moveTo(aK*0.495327,aK*0.233644);aC.lineTo(aK*0.504672,aK*0.233644);aC.lineTo(aK*0.514018,aK*0.439252);aC.lineTo(aK*0.485981,aK*0.439252);aC.lineTo(aK*0.495327,aK*0.233644);aC.closePath();aC.moveTo(aK*0.490654,aK*0.130841);aC.lineTo(aK*0.471962,aK*0.471962);aC.lineTo(aK*0.471962,aK*0.528037);aC.bezierCurveTo(aK*0.471962,aK*0.528037,aK*0.476635,aK*0.602803,aK*0.476635,aK*0.602803);aC.bezierCurveTo(aK*0.476635,aK*0.607476,aK*0.481308,aK*0.607476,aK*0.5,aK*0.607476);aC.bezierCurveTo(aK*0.518691,aK*0.607476,aK*0.523364,aK*0.607476,aK*0.523364,aK*0.602803);aC.bezierCurveTo(aK*0.523364,aK*0.602803,aK*0.528037,aK*0.528037,aK*0.528037,aK*0.528037);aC.lineTo(aK*0.528037,aK*0.471962);aC.lineTo(aK*0.509345,aK*0.130841);aC.lineTo(aK*0.490654,aK*0.130841);aC.closePath();aC.fill();aC.beginPath();aC.moveTo(aK*0.495327,aK*0.219626);aC.lineTo(aK*0.504672,aK*0.219626);aC.lineTo(aK*0.504672,aK*0.135514);aC.lineTo(aK*0.495327,aK*0.135514);aC.lineTo(aK*0.495327,aK*0.219626);aC.closePath();aC.fillStyle=aH.medium.getRgbaColor();aC.fill();break;case"type10":aC.beginPath();aC.moveTo(aK*0.5,aK*0.149532);aC.bezierCurveTo(aK*0.5,aK*0.149532,aK*0.443925,aK*0.490654,aK*0.443925,aK*0.5);aC.bezierCurveTo(aK*0.443925,aK*0.53271,aK*0.467289,aK*0.556074,aK*0.5,aK*0.556074);aC.bezierCurveTo(aK*0.53271,aK*0.556074,aK*0.556074,aK*0.53271,aK*0.556074,aK*0.5);aC.bezierCurveTo(aK*0.556074,aK*0.490654,aK*0.5,aK*0.149532,aK*0.5,aK*0.149532);aC.closePath();aF=aC.createLinearGradient(0.471962*aK,0,0.528036*aK,0);aF.addColorStop(0,aH.light.getRgbaColor());aF.addColorStop(0.5,aH.light.getRgbaColor());aF.addColorStop(0.5,aH.medium.getRgbaColor());aF.addColorStop(1,aH.medium.getRgbaColor());aC.fillStyle=aF;aC.strokeStyle=aH.medium.getRgbaColor();aC.lineWidth=1;aC.lineCap="square";aC.lineJoin="miter";aC.fill();aC.stroke();break;case"type11":aC.beginPath();aC.moveTo(0.5*aK,0.168224*aK);aC.lineTo(0.485981*aK,0.5*aK);aC.bezierCurveTo(0.485981*aK,0.5*aK,0.481308*aK,0.584112*aK,0.5*aK,0.584112*aK);aC.bezierCurveTo(0.514018*aK,0.584112*aK,0.509345*aK,0.5*aK,0.509345*aK,0.5*aK);aC.lineTo(0.5*aK,0.168224*aK);aC.closePath();aF=aC.createLinearGradient(0,0.168224*aK,0,0.584112*aK);aF.addColorStop(0,aH.medium.getRgbaColor());aF.addColorStop(1,aH.dark.getRgbaColor());aC.fillStyle=aF;aC.strokeStyle=aH.dark.getRgbaColor();aC.fill();aC.stroke();break;case"type12":aC.beginPath();aC.moveTo(0.5*aK,0.168224*aK);aC.lineTo(0.485981*aK,0.5*aK);aC.lineTo(0.5*aK,0.504672*aK);aC.lineTo(0.509345*aK,0.5*aK);aC.lineTo(0.5*aK,0.168224*aK);aC.closePath();aF=aC.createLinearGradient(0,0.168224*aK,0,0.504672*aK);aF.addColorStop(0,aH.medium.getRgbaColor());aF.addColorStop(1,aH.dark.getRgbaColor());aC.fillStyle=aF;aC.strokeStyle=aH.dark.getRgbaColor();aC.fill();aC.stroke();break;case"type13":case"type14":aC.beginPath();aC.moveTo(0.485981*aK,0.168224*aK);aC.lineTo(0.5*aK,0.130841*aK);aC.lineTo(0.509345*aK,0.168224*aK);aC.lineTo(0.509345*aK,0.509345*aK);aC.lineTo(0.485981*aK,0.509345*aK);aC.lineTo(0.485981*aK,0.168224*aK);aC.closePath();if(aB.type==="type13"){aF=aC.createLinearGradient(0,0.5*aK,0,0.130841*aK);aF.addColorStop(0,aJ.getRgbaColor());aF.addColorStop(0.85,aJ.getRgbaColor());aF.addColorStop(0.85,aH.medium.getRgbaColor());aF.addColorStop(1,aH.medium.getRgbaColor());aC.fillStyle=aF}else{aF=aC.createLinearGradient(0.485981*aK,0,0.509345*aK,0);aF.addColorStop(0,aH.veryDark.getRgbaColor());aF.addColorStop(0.5,aH.light.getRgbaColor());aF.addColorStop(1,aH.veryDark.getRgbaColor());aC.fillStyle=aF}aC.fill();break;case"type15":case"type16":aC.beginPath();aC.moveTo(aK*0.509345,aK*0.457943);aC.lineTo(aK*0.5015,aK*0.13);aC.lineTo(aK*0.4985,aK*0.13);aC.lineTo(aK*0.490654,aK*0.457943);aC.bezierCurveTo(aK*0.490654,aK*0.457943,aK*0.490654,aK*0.457943,aK*0.490654,aK*0.457943);aC.bezierCurveTo(aK*0.471962,aK*0.462616,aK*0.457943,aK*0.481308,aK*0.457943,aK*0.5);aC.bezierCurveTo(aK*0.457943,aK*0.518691,aK*0.471962,aK*0.537383,aK*0.490654,aK*0.542056);aC.bezierCurveTo(aK*0.490654,aK*0.542056,aK*0.490654,aK*0.542056,aK*0.490654,aK*0.542056);if(aB.type==="type15"){aC.lineTo(aK*0.490654,aK*0.57);aC.bezierCurveTo(aK*0.46,aK*0.58,aK*0.46,aK*0.62,aK*0.490654,aK*0.63);aC.bezierCurveTo(aK*0.47,aK*0.62,aK*0.48,aK*0.59,aK*0.5,aK*0.59);aC.bezierCurveTo(aK*0.53,aK*0.59,aK*0.52,aK*0.62,aK*0.509345,aK*0.63);aC.bezierCurveTo(aK*0.54,aK*0.62,aK*0.54,aK*0.58,aK*0.509345,aK*0.57);aC.lineTo(aK*0.509345,aK*0.57)}else{aC.lineTo(aK*0.490654,aK*0.621495);aC.lineTo(aK*0.509345,aK*0.621495)}aC.lineTo(aK*0.509345,aK*0.542056);aC.bezierCurveTo(aK*0.509345,aK*0.542056,aK*0.509345,aK*0.542056,aK*0.509345,aK*0.542056);aC.bezierCurveTo(aK*0.528037,aK*0.537383,aK*0.542056,aK*0.518691,aK*0.542056,aK*0.5);aC.bezierCurveTo(aK*0.542056,aK*0.481308,aK*0.528037,aK*0.462616,aK*0.509345,aK*0.457943);aC.bezierCurveTo(aK*0.509345,aK*0.457943,aK*0.509345,aK*0.457943,aK*0.509345,aK*0.457943);aC.closePath();if(aB.type==="type15"){aF=aC.createLinearGradient(0,0,0,aK*0.63)}else{aF=aC.createLinearGradient(0,0,0,aK*0.621495)}aF.addColorStop(0,aH.medium.getRgbaColor());aF.addColorStop(0.388888,aH.medium.getRgbaColor());aF.addColorStop(0.5,aH.light.getRgbaColor());aF.addColorStop(0.611111,aH.medium.getRgbaColor());aF.addColorStop(1,aH.medium.getRgbaColor());aC.fillStyle=aF;aC.strokeStyle=aH.dark.getRgbaColor();aC.fill();aC.stroke();aC.beginPath();aD=aK*0.06542/2;aC.arc(aK*0.5,aK*0.5,aD,0,D);aF=aC.createLinearGradient(aK*0.5-aD,aK*0.5+aD,0,aK*0.5+aD);aF.addColorStop(0,"#e6b35c");aF.addColorStop(0.01,"#e6b35c");aF.addColorStop(0.99,"#c48200");aF.addColorStop(1,"#c48200");aC.fillStyle=aF;aC.closePath();aC.fill();aC.beginPath();aD=aK*0.046728/2;aC.arc(aK*0.5,aK*0.5,aD,0,D);aF=aC.createRadialGradient(aK*0.5,aK*0.5,0,aK*0.5,aK*0.5,aD);aF.addColorStop(0,"#c5c5c5");aF.addColorStop(0.19,"#c5c5c5");aF.addColorStop(0.22,"#000000");aF.addColorStop(0.8,"#000000");aF.addColorStop(0.99,"#707070");aF.addColorStop(1,"#707070");aC.fillStyle=aF;aC.closePath();aC.fill();break;case"type1":default:aF=aC.createLinearGradient(0,aK*0.471962,0,aK*0.130841);aF.addColorStop(0,aH.veryDark.getRgbaColor());aF.addColorStop(0.3,aH.medium.getRgbaColor());aF.addColorStop(0.59,aH.medium.getRgbaColor());aF.addColorStop(1,aH.veryDark.getRgbaColor());aC.fillStyle=aF;aC.beginPath();aC.moveTo(aK*0.518691,aK*0.471962);aC.bezierCurveTo(aK*0.514018,aK*0.457943,aK*0.509345,aK*0.415887,aK*0.509345,aK*0.401869);aC.bezierCurveTo(aK*0.504672,aK*0.383177,aK*0.5,aK*0.130841,aK*0.5,aK*0.130841);aC.bezierCurveTo(aK*0.5,aK*0.130841,aK*0.490654,aK*0.383177,aK*0.490654,aK*0.397196);aC.bezierCurveTo(aK*0.490654,aK*0.415887,aK*0.485981,aK*0.457943,aK*0.481308,aK*0.471962);aC.bezierCurveTo(aK*0.471962,aK*0.481308,aK*0.467289,aK*0.490654,aK*0.467289,aK*0.5);aC.bezierCurveTo(aK*0.467289,aK*0.518691,aK*0.481308,aK*0.53271,aK*0.5,aK*0.53271);aC.bezierCurveTo(aK*0.518691,aK*0.53271,aK*0.53271,aK*0.518691,aK*0.53271,aK*0.5);aC.bezierCurveTo(aK*0.53271,aK*0.490654,aK*0.528037,aK*0.481308,aK*0.518691,aK*0.471962);aC.closePath();aC.fill();break}A.cache[aE]=aG}aI.drawImage(A.cache[aE],0,0);return this};A.cache={};var c=function(aO,aI,aG,aF,aM,aJ){var aE,aL,aN,aC,aH,aD,aB,aK=aM.toString()+aJ+aI.design;if(!c.cache[aK]){aE=F(aM,aJ);aL=aE.getContext("2d");aL.fillStyle="#848484";aL.strokeStyle="rgba(132, 132, 132, 0.5)";aL.beginPath();aL.arc(aG,aF,aM/2,0,D,true);aL.closePath();aL.fill();aL.stroke();aL.beginPath();aL.arc(aG,aF,aM*0.990654/2,0,D,true);aL.closePath();switch(aI.design){case"metal":aN=aL.createLinearGradient(0,aM*0.004672,0,aJ*0.990654);aN.addColorStop(0,"#fefefe");aN.addColorStop(0.07,"rgb(210, 210, 210)");aN.addColorStop(0.12,"rgb(179, 179, 179)");aN.addColorStop(1,"rgb(213, 213, 213)");aL.fillStyle=aN;aL.fill();break;case"brass":aN=aL.createLinearGradient(0,aM*0.004672,0,aJ*0.990654);aN.addColorStop(0,"rgb(249, 243, 155)");aN.addColorStop(0.05,"rgb(246, 226, 101)");aN.addColorStop(0.1,"rgb(240, 225, 132)");aN.addColorStop(0.5,"rgb(90, 57, 22)");aN.addColorStop(0.9,"rgb(249, 237, 139)");aN.addColorStop(0.95,"rgb(243, 226, 108)");aN.addColorStop(1,"rgb(202, 182, 113)");aL.fillStyle=aN;aL.fill();break;case"steel":aN=aL.createLinearGradient(0,aM*0.004672,0,aJ*0.990654);aN.addColorStop(0,"rgb(231, 237, 237)");aN.addColorStop(0.05,"rgb(189, 199, 198)");aN.addColorStop(0.1,"rgb(192, 201, 200)");aN.addColorStop(0.5,"rgb(23, 31, 33)");aN.addColorStop(0.9,"rgb(196, 205, 204)");aN.addColorStop(0.95,"rgb(194, 204, 203)");aN.addColorStop(1,"rgb(189, 201, 199)");aL.fillStyle=aN;aL.fill();break;case"gold":aN=aL.createLinearGradient(0,aM*0.004672,0,aJ*0.990654);aN.addColorStop(0,"rgb(255, 255, 207)");aN.addColorStop(0.15,"rgb(255, 237, 96)");aN.addColorStop(0.22,"rgb(254, 199, 57)");aN.addColorStop(0.3,"rgb(255, 249, 203)");aN.addColorStop(0.38,"rgb(255, 199, 64)");aN.addColorStop(0.44,"rgb(252, 194, 60)");aN.addColorStop(0.51,"rgb(255, 204, 59)");aN.addColorStop(0.6,"rgb(213, 134, 29)");aN.addColorStop(0.68,"rgb(255, 201, 56)");aN.addColorStop(0.75,"rgb(212, 135, 29)");aN.addColorStop(1,"rgb(247, 238, 101)");aL.fillStyle=aN;aL.fill();break;case"anthracite":aN=aL.createLinearGradient(0,0.004672*aJ,0,0.995326*aJ);aN.addColorStop(0,"rgb(118, 117, 135)");aN.addColorStop(0.06,"rgb(74, 74, 82)");aN.addColorStop(0.12,"rgb(50, 50, 54)");aN.addColorStop(1,"rgb(79, 79, 87)");aL.fillStyle=aN;aL.fill();break;case"tiltedGray":aN=aL.createLinearGradient(0.233644*aM,0.084112*aJ,0.81258*aM,0.910919*aJ);aN.addColorStop(0,"#ffffff");aN.addColorStop(0.07,"rgb(210, 210, 210)");aN.addColorStop(0.16,"rgb(179, 179, 179)");aN.addColorStop(0.33,"#ffffff");aN.addColorStop(0.55,"#c5c5c5");aN.addColorStop(0.79,"#ffffff");aN.addColorStop(1,"#666666");aL.fillStyle=aN;aL.fill();break;case"tiltedBlack":aN=aL.createLinearGradient(0.228971*aM,0.079439*aJ,0.802547*aM,0.898591*aJ);aN.addColorStop(0,"#666666");aN.addColorStop(0.21,"#000000");aN.addColorStop(0.47,"#666666");aN.addColorStop(0.99,"#000000");aN.addColorStop(1,"#000000");aL.fillStyle=aN;aL.fill();break;case"glossyMetal":aN=aL.createRadialGradient(0.5*aM,0.5*aJ,0,0.5*aM,0.5*aM,0.5*aM);aN.addColorStop(0,"rgb(207, 207, 207)");aN.addColorStop(0.96,"rgb(205, 204, 205)");aN.addColorStop(1,"rgb(244, 244, 244)");aL.fillStyle=aN;aL.fill();aL.beginPath();aL.arc(0.5*aM,0.5*aJ,0.973962*aM/2,0,D);aL.closePath();aN=aL.createLinearGradient(0,aJ-0.971962*aJ,0,0.971962*aJ);aN.addColorStop(0,"rgb(249, 249, 249)");aN.addColorStop(0.23,"rgb(200, 195, 191)");aN.addColorStop(0.36,"#ffffff");aN.addColorStop(0.59,"rgb(29, 29, 29)");aN.addColorStop(0.76,"rgb(200, 194, 192)");aN.addColorStop(1,"rgb(209, 209, 209)");aL.fillStyle=aN;aL.fill();aL.beginPath();aL.arc(0.5*aM,0.5*aJ,0.869158*aM/2,0,D);aL.closePath();aL.fillStyle="#f6f6f6";aL.fill();aL.beginPath();aL.arc(0.5*aM,0.5*aJ,0.85*aM/2,0,D);aL.closePath();aL.fillStyle="#333333";aL.fill();break;case"blackMetal":aD=[0,0.125,0.347222,0.5,0.680555,0.875,1];aB=[new G(254,254,254,1),new G(0,0,0,1),new G(153,153,153,1),new G(0,0,0,1),new G(153,153,153,1),new G(0,0,0,1),new G(254,254,254,1)];aL.save();aL.arc(aG,aF,aM*0.990654/2,0,D,true);aL.clip();aC=aM*0.495327;aH=aM*0.42056;aN=new C(aD,aB);aN.fillCircle(aL,aG,aF,aH,aC);aL.strokeStyle="#848484";aL.strokeStyle="rgba(132, 132, 132, 0.8)";aL.beginPath();aL.lineWidth=aM/90;aL.arc(aG,aF,aM/2,0,D,true);aL.closePath();aL.stroke();aL.restore();break;case"shinyMetal":aD=[0,0.125,0.25,0.347222,0.5,0.652777,0.75,0.875,1];aB=[new G(254,254,254,1),new G(210,210,210,1),new G(179,179,179,1),new G(238,238,238,1),new G(160,160,160,1),new G(238,238,238,1),new G(179,179,179,1),new G(210,210,210,1),new G(254,254,254,1)];aL.save();aL.arc(aG,aF,aM*0.990654/2,0,D,true);aL.clip();aC=aM*0.495327;aH=aM*0.42056;aN=new C(aD,aB);aN.fillCircle(aL,aG,aF,aH,aC);aL.strokeStyle="#848484";aL.strokeStyle="rgba(132, 132, 132, 0.8)";aL.beginPath();aL.lineWidth=aM/90;aL.arc(aG,aF,aM/2,0,D,true);aL.closePath();aL.stroke();aL.restore();break;case"chrome":aD=[0,0.09,0.12,0.16,0.25,0.29,0.33,0.38,0.48,0.52,0.63,0.68,0.8,0.83,0.87,0.97,1];aB=[new G(255,255,255,1),new G(255,255,255,1),new G(136,136,138,1),new G(164,185,190,1),new G(158,179,182,1),new G(112,112,112,1),new G(221,227,227,1),new G(155,176,179,1),new G(156,176,177,1),new G(254,255,255,1),new G(255,255,255,1),new G(156,180,180,1),new G(198,209,211,1),new G(246,248,247,1),new G(204,216,216,1),new G(164,188,190,1),new G(255,255,255,1)];aL.save();aL.arc(aG,aF,aM*0.990654/2,0,D,true);aL.clip();aC=aM*0.495327;aH=aM*0.42056;aN=new C(aD,aB);aN.fillCircle(aL,aG,aF,aH,aC);aL.strokeStyle="#848484";aL.strokeStyle="rgba(132, 132, 132, 0.8)";aL.beginPath();aL.lineWidth=aM/90;aL.arc(aG,aF,aM/2,0,D,true);aL.closePath();aL.stroke();aL.restore();break}aL.fillStyle="rgb(191, 191, 191)";aL.beginPath();aL.arc(aG,aF,aM*0.841121/2,0,D,true);aL.closePath();aL.fill();aL.globalCompositeOperation="destination-out";aL.beginPath();aL.arc(aG,aF,aM*0.83/2,0,D,true);aL.closePath();aL.fill();c.cache[aK]=aE}aO.drawImage(c.cache[aK],0,0);return this};c.cache={};var az=function(aQ,aG,aK,aJ,aL,aU){var aC,aN,aI,aV,aM,aS=aL*0.831775/2,aR,aB,aO,aE,aP,aF,aD,aT,aH=aL.toString()+aU+aG.name;if(!az.cache[aH]){aC=F(aL,aU);aN=aC.getContext("2d");aN.beginPath();aN.arc(aK,aJ,aS,0,D,true);aN.closePath();if(aG.name==="CARBON"||aG.name==="PUNCHED_SHEET"||aG.name==="BRUSHED_METAL"||aG.name==="BRUSHED_STAINLESS"){if(aG.name==="CARBON"){aN.fillStyle=aN.createPattern(e,"repeat");aN.fill()}if(aG.name==="PUNCHED_SHEET"){aN.fillStyle=aN.createPattern(af,"repeat");aN.fill()}aI=aN.createLinearGradient(aS,0,aL-aS,0);aI.addColorStop(0,"rgba(0, 0, 0, 0.25)");aI.addColorStop(0.5,"rgba(0, 0, 0, 0)");aI.addColorStop(1,"rgba(0, 0, 0, 0.25)");aN.fillStyle=aI;aN.beginPath();aN.arc(aK,aJ,aS,0,D,true);aN.closePath();aN.fill();if(aG.name==="BRUSHED_METAL"||aG.name==="BRUSHED_STAINLESS"){aR=(aG.name==="BRUSHED_METAL"?true:false);aB=parseInt(aG.gradientStop.getHexColor().substr(-6),16);aO=m(aB,5,0.1,aR,0.5);aN.fillStyle=aN.createPattern(aO.fill(0,0,aL,aU),"no-repeat");aN.fill()}}else{if(aG.name==="STAINLESS"||aG.name==="TURNED"){aV=[0,0.03,0.1,0.14,0.24,0.33,0.38,0.5,0.62,0.67,0.76,0.81,0.85,0.97,1];aM=[new G("#FDFDFD"),new G("#FDFDFD"),new G("#B2B2B4"),new G("#ACACAE"),new G("#FDFDFD"),new G("#8E8E8E"),new G("#8E8E8E"),new G("#FDFDFD"),new G("#8E8E8E"),new G("#8E8E8E"),new G("#FDFDFD"),new G("#ACACAE"),new G("#B2B2B4"),new G("#FDFDFD"),new G("#FDFDFD")];aI=new C(aV,aM);aI.fillCircle(aN,aK,aJ,0,aS);if(aG.name==="TURNED"){aE=aS;aP=aE*0.55;aF=i*(500/aE);aN.save();aN.beginPath();aN.arc(aK,aJ,aE,0,D);aN.closePath();aN.clip();aN.lineWidth=0.5;aD=D-aF*0.3;for(aT=0;aT<aD;aT+=aF){aN.strokeStyle="rgba(240, 240, 255, 0.25)";aN.beginPath();aN.arc(aK+aP,aJ,aP,0,D);aN.stroke();aN.translate(aK,aJ);aN.rotate(aF*0.3);aN.translate(-aK,-aJ);aN.strokeStyle="rgba(25, 10, 10, 0.1)";aN.beginPath();aN.arc(aK+aP,aJ,aP,0,D);aN.stroke();aN.translate(aK,aJ);aN.rotate(aF-aF*0.3);aN.translate(-aK,-aJ)}aN.restore()}}else{aI=aN.createLinearGradient(0,aL*0.084112,0,aS*2);aI.addColorStop(0,aG.gradientStart.getRgbaColor());aI.addColorStop(0.4,aG.gradientFraction.getRgbaColor());aI.addColorStop(1,aG.gradientStop.getRgbaColor());aN.fillStyle=aI;aN.fill()}}aI=aN.createRadialGradient(aK,aJ,0,aK,aJ,aS);aI.addColorStop(0,"rgba(0, 0, 0, 0)");aI.addColorStop(0.7,"rgba(0, 0, 0, 0)");aI.addColorStop(0.71,"rgba(0, 0, 0, 0)");aI.addColorStop(0.86,"rgba(0, 0, 0, 0.03)");aI.addColorStop(0.92,"rgba(0, 0, 0, 0.07)");aI.addColorStop(0.97,"rgba(0, 0, 0, 0.15)");aI.addColorStop(1,"rgba(0, 0, 0, 0.3)");aN.fillStyle=aI;aN.beginPath();aN.arc(aK,aJ,aS,0,D,true);aN.closePath();aN.fill();az.cache[aH]=aC}aQ.drawImage(az.cache[aH],0,0);return this};az.cache={};var K=function(aK,aD,aC,aB,aG,aF){var aJ=aG*0.831775,aE=aF*0.831775,aI=(aG-aJ)/2,aH=(aF-aE)/2;if(aD!==null&&aD.height>0&&aD.width>0){aK.save();aK.beginPath();aK.arc(aC,aB,aG*0.831775/2,0,D,true);aK.clip();aK.drawImage(aD,aI,aH,aJ,aE);aK.restore()}return this};var w=function(aN,aR,aI,aS,aB,aL,aQ,aP,aC){var aM,aK,aO=Math.ceil(aS*0.084112),aG=aI*0.5-aO/2,aE=aS*0.5-aO/2,aJ=aI*0.008,aD,aH,aF=aR.type+aI+aS+aB+(aL!==undefined?aL.type:"-")+(aQ!==undefined?aQ.style:"-")+(aC!==undefined?aC.type:"-");if(!w.cache[aF]){aM=F(aI,aS);aK=aM.getContext("2d");if(aB){aK.shadowColor="rgba(0, 0, 0, 0.8)";aK.shadowOffsetX=aK.shadowOffsetY=aJ;aK.shadowBlur=aJ*2;if(aP===steelseries.GaugeType.TYPE5){if(steelseries.Orientation.WEST===aC){aG=aI*0.733644-aO/2;aK.drawImage(B(aO,aL,aQ),aG,aE)}else{if(steelseries.Orientation.EAST===aC){aG=aI*(1-0.733644)-aO/2;aK.drawImage(B(aO,aL,aQ),aG,aE)}else{aE=aS*0.733644-aO/2;aK.drawImage(B(aO,aL,aQ),aG,aS*0.6857)}}}else{aK.drawImage(B(aO,aL,aQ),aG,aE)}aK.shadowOffsetX=aK.shadowOffsetY=0;aK.shadowBlur=0}switch(aR.type){case"type2":aK.beginPath();aK.moveTo(aI*0.135514,aS*0.696261);aK.bezierCurveTo(aI*0.214953,aS*0.588785,aI*0.317757,aS*0.5,aI*0.462616,aS*0.425233);aK.bezierCurveTo(aI*0.612149,aS*0.345794,aI*0.733644,aS*0.317757,aI*0.873831,aS*0.322429);aK.bezierCurveTo(aI*0.766355,aS*0.112149,aI*0.528037,aS*0.023364,aI*0.313084,aS*0.130841);aK.bezierCurveTo(aI*0.09813,aS*0.238317,aI*0.028037,aS*0.485981,aI*0.135514,aS*0.696261);aK.closePath();aD=aK.createLinearGradient(0.313084*aI,0.135514*aS,0.495528*aI,0.493582*aS);aD.addColorStop(0,"rgba(255, 255, 255, 0.275)");aD.addColorStop(1,"rgba(255, 255, 255, 0.015)");break;case"type3":aK.beginPath();aK.moveTo(aI*0.084112,aS*0.509345);aK.bezierCurveTo(aI*0.21028,aS*0.556074,aI*0.462616,aS*0.560747,aI*0.5,aS*0.560747);aK.bezierCurveTo(aI*0.537383,aS*0.560747,aI*0.794392,aS*0.560747,aI*0.915887,aS*0.509345);aK.bezierCurveTo(aI*0.915887,aS*0.2757,aI*0.738317,aS*0.084112,aI*0.5,aS*0.084112);aK.bezierCurveTo(aI*0.261682,aS*0.084112,aI*0.084112,aS*0.2757,aI*0.084112,aS*0.509345);aK.closePath();aD=aK.createLinearGradient(0,0.093457*aS,0,0.556073*aS);aD.addColorStop(0,"rgba(255, 255, 255, 0.275)");aD.addColorStop(1,"rgba(255, 255, 255, 0.015)");break;case"type4":aK.beginPath();aK.moveTo(aI*0.67757,aS*0.24299);aK.bezierCurveTo(aI*0.771028,aS*0.308411,aI*0.822429,aS*0.411214,aI*0.813084,aS*0.528037);aK.bezierCurveTo(aI*0.799065,aS*0.654205,aI*0.719626,aS*0.757009,aI*0.593457,aS*0.799065);aK.bezierCurveTo(aI*0.485981,aS*0.831775,aI*0.369158,aS*0.808411,aI*0.285046,aS*0.728971);aK.bezierCurveTo(aI*0.2757,aS*0.719626,aI*0.252336,aS*0.714953,aI*0.233644,aS*0.728971);aK.bezierCurveTo(aI*0.214953,aS*0.747663,aI*0.219626,aS*0.771028,aI*0.228971,aS*0.7757);aK.bezierCurveTo(aI*0.331775,aS*0.878504,aI*0.476635,aS*0.915887,aI*0.616822,aS*0.869158);aK.bezierCurveTo(aI*0.771028,aS*0.822429,aI*0.873831,aS*0.691588,aI*0.88785,aS*0.53271);aK.bezierCurveTo(aI*0.897196,aS*0.38785,aI*0.836448,aS*0.257009,aI*0.719626,aS*0.182242);aK.bezierCurveTo(aI*0.705607,aS*0.172897,aI*0.682242,aS*0.163551,aI*0.663551,aS*0.186915);aK.bezierCurveTo(aI*0.654205,aS*0.205607,aI*0.668224,aS*0.238317,aI*0.67757,aS*0.24299);aK.closePath();aD=aK.createRadialGradient((0.5)*aI,((0.5)*aS),0,((0.5)*aI),((0.5)*aS),0.38785*aI);aD.addColorStop(0,"rgba(255, 255, 255, 0)");aD.addColorStop(0.82,"rgba(255, 255, 255, 0)");aD.addColorStop(0.83,"rgba(255, 255, 255, 0)");aD.addColorStop(1,"rgba(255, 255, 255, 0.15)");aK.beginPath();aK.moveTo(aI*0.261682,aS*0.224299);aK.bezierCurveTo(aI*0.285046,aS*0.238317,aI*0.252336,aS*0.285046,aI*0.24299,aS*0.317757);aK.bezierCurveTo(aI*0.24299,aS*0.350467,aI*0.271028,aS*0.383177,aI*0.271028,aS*0.397196);aK.bezierCurveTo(aI*0.2757,aS*0.415887,aI*0.261682,aS*0.457943,aI*0.238317,aS*0.509345);aK.bezierCurveTo(aI*0.224299,aS*0.542056,aI*0.17757,aS*0.612149,aI*0.158878,aS*0.612149);aK.bezierCurveTo(aI*0.144859,aS*0.612149,aI*0.088785,aS*0.546728,aI*0.130841,aS*0.369158);aK.bezierCurveTo(aI*0.140186,aS*0.336448,aI*0.214953,aS*0.200934,aI*0.261682,aS*0.224299);aK.closePath();aH=aK.createLinearGradient(0.130841*aI,0.369158*aS,0.273839*aI,0.412877*aS);aH.addColorStop(0,"rgba(255, 255, 255, 0.275)");aH.addColorStop(1,"rgba(255, 255, 255, 0.015)");aK.fillStyle=aH;aK.fill();break;case"type5":aK.beginPath();aK.moveTo(aI*0.084112,aS*0.5);aK.bezierCurveTo(aI*0.084112,aS*0.271028,aI*0.271028,aS*0.084112,aI*0.5,aS*0.084112);aK.bezierCurveTo(aI*0.700934,aS*0.084112,aI*0.864485,aS*0.224299,aI*0.906542,aS*0.411214);aK.bezierCurveTo(aI*0.911214,aS*0.439252,aI*0.911214,aS*0.518691,aI*0.845794,aS*0.537383);aK.bezierCurveTo(aI*0.794392,aS*0.546728,aI*0.551401,aS*0.411214,aI*0.392523,aS*0.457943);aK.bezierCurveTo(aI*0.168224,aS*0.509345,aI*0.135514,aS*0.7757,aI*0.093457,aS*0.593457);aK.bezierCurveTo(aI*0.088785,aS*0.560747,aI*0.084112,aS*0.53271,aI*0.084112,aS*0.5);aK.closePath();aD=aK.createLinearGradient(0,0.084112*aS,0,0.644859*aS);aD.addColorStop(0,"rgba(255, 255, 255, 0.275)");aD.addColorStop(1,"rgba(255, 255, 255, 0.015)");break;case"type1":default:aK.beginPath();aK.moveTo(aI*0.084112,aS*0.509345);aK.bezierCurveTo(aI*0.205607,aS*0.448598,aI*0.336448,aS*0.415887,aI*0.5,aS*0.415887);aK.bezierCurveTo(aI*0.672897,aS*0.415887,aI*0.789719,aS*0.443925,aI*0.915887,aS*0.509345);aK.bezierCurveTo(aI*0.915887,aS*0.2757,aI*0.738317,aS*0.084112,aI*0.5,aS*0.084112);aK.bezierCurveTo(aI*0.261682,aS*0.084112,aI*0.084112,aS*0.2757,aI*0.084112,aS*0.509345);aK.closePath();aD=aK.createLinearGradient(0,0.088785*aS,0,0.490654*aS);aD.addColorStop(0,"rgba(255, 255, 255, 0.275)");aD.addColorStop(1,"rgba(255, 255, 255, 0.015)");break}aK.fillStyle=aD;aK.fill();w.cache[aF]=aM}aN.drawImage(w.cache[aF],0,0);return this};w.cache={};var B=function(aJ,aC,aB){var aF,aG,aE=aJ/2,aD=aJ/2,aI,aH=aJ.toString()+aC.type+aB.style;if(!B.cache[aH]){aF=F(aJ*1.18889,aJ*1.18889);aG=aF.getContext("2d");switch(aC.type){case"metalKnob":aG.beginPath();aG.moveTo(0,aJ*0.5);aG.bezierCurveTo(0,aJ*0.222222,aJ*0.222222,0,aJ*0.5,0);aG.bezierCurveTo(aJ*0.777777,0,aJ,aJ*0.222222,aJ,aJ*0.5);aG.bezierCurveTo(aJ,aJ*0.777777,aJ*0.777777,aJ,aJ*0.5,aJ);aG.bezierCurveTo(aJ*0.222222,aJ,0,aJ*0.777777,0,aJ*0.5);aG.closePath();aI=aG.createLinearGradient(0,0,0,aJ);aI.addColorStop(0,"rgb(92, 95, 101)");aI.addColorStop(0.47,"rgb(46, 49, 53)");aI.addColorStop(1,"rgb(22, 23, 26)");aG.fillStyle=aI;aG.fill();aG.beginPath();aG.moveTo(aJ*0.055555,aJ*0.5);aG.bezierCurveTo(aJ*0.055555,aJ*0.277777,aJ*0.277777,aJ*0.055555,aJ*0.5,aJ*0.055555);aG.bezierCurveTo(aJ*0.722222,aJ*0.055555,aJ*0.944444,aJ*0.277777,aJ*0.944444,aJ*0.5);aG.bezierCurveTo(aJ*0.944444,aJ*0.722222,aJ*0.722222,aJ*0.944444,aJ*0.5,aJ*0.944444);aG.bezierCurveTo(aJ*0.277777,aJ*0.944444,aJ*0.055555,aJ*0.722222,aJ*0.055555,aJ*0.5);aG.closePath();aI=aG.createLinearGradient(0,0.055555*aJ,0,0.944443*aJ);switch(aB.style){case"black":aI.addColorStop(0,"rgb(43, 42, 47)");aI.addColorStop(1,"rgb(26, 27, 32)");break;case"brass":aI.addColorStop(0,"rgb(150, 110, 54)");aI.addColorStop(1,"rgb(124, 95, 61)");break;case"silver":default:aI.addColorStop(0,"rgb(204, 204, 204)");aI.addColorStop(1,"rgb(87, 92, 98)");break}aG.fillStyle=aI;aG.fill();aG.beginPath();aG.moveTo(aJ*0.777777,aJ*0.833333);aG.bezierCurveTo(aJ*0.722222,aJ*0.722222,aJ*0.611111,aJ*0.666666,aJ*0.5,aJ*0.666666);aG.bezierCurveTo(aJ*0.388888,aJ*0.666666,aJ*0.277777,aJ*0.722222,aJ*0.222222,aJ*0.833333);aG.bezierCurveTo(aJ*0.277777,aJ*0.888888,aJ*0.388888,aJ*0.944444,aJ*0.5,aJ*0.944444);aG.bezierCurveTo(aJ*0.611111,aJ*0.944444,aJ*0.722222,aJ*0.888888,aJ*0.777777,aJ*0.833333);aG.closePath();aI=aG.createRadialGradient((0.555555)*aJ,((0.944444)*aJ),0,((0.555555)*aJ),((0.944444)*aJ),0.388888*aJ);aI.addColorStop(0,"rgba(255, 255, 255, 0.6)");aI.addColorStop(1,"rgba(255, 255, 255, 0)");aG.fillStyle=aI;aG.fill();aG.beginPath();aG.moveTo(aJ*0.944444,aJ*0.277777);aG.bezierCurveTo(aJ*0.833333,aJ*0.111111,aJ*0.666666,0,aJ*0.5,0);aG.bezierCurveTo(aJ*0.333333,0,aJ*0.166666,aJ*0.111111,aJ*0.055555,aJ*0.277777);aG.bezierCurveTo(aJ*0.166666,aJ*0.333333,aJ*0.333333,aJ*0.388888,aJ*0.5,aJ*0.388888);aG.bezierCurveTo(aJ*0.666666,aJ*0.388888,aJ*0.833333,aJ*0.333333,aJ*0.944444,aJ*0.277777);aG.closePath();aI=aG.createRadialGradient(0.5*aJ,0,0,((0.5)*aJ),0,0.583333*aJ);aI.addColorStop(0,"rgba(255, 255, 255, 0.749019)");aI.addColorStop(1,"rgba(255, 255, 255, 0)");aG.fillStyle=aI;aG.fill();aG.beginPath();aG.moveTo(aJ*0.277777,aJ*0.555555);aG.bezierCurveTo(aJ*0.277777,aJ*0.388888,aJ*0.388888,aJ*0.277777,aJ*0.5,aJ*0.277777);aG.bezierCurveTo(aJ*0.611111,aJ*0.277777,aJ*0.777777,aJ*0.388888,aJ*0.777777,aJ*0.555555);aG.bezierCurveTo(aJ*0.777777,aJ*0.666666,aJ*0.611111,aJ*0.777777,aJ*0.5,aJ*0.777777);aG.bezierCurveTo(aJ*0.388888,aJ*0.777777,aJ*0.277777,aJ*0.666666,aJ*0.277777,aJ*0.555555);aG.closePath();aI=aG.createLinearGradient(0,0.277777*aJ,0,0.722221*aJ);aI.addColorStop(0,"#000000");aI.addColorStop(1,"rgb(204, 204, 204)");aG.fillStyle=aI;aG.fill();aG.beginPath();aG.moveTo(aJ*0.333333,aJ*0.555555);aG.bezierCurveTo(aJ*0.333333,aJ*0.444444,aJ*0.388888,aJ*0.333333,aJ*0.5,aJ*0.333333);aG.bezierCurveTo(aJ*0.611111,aJ*0.333333,aJ*0.722222,aJ*0.444444,aJ*0.722222,aJ*0.555555);aG.bezierCurveTo(aJ*0.722222,aJ*0.611111,aJ*0.611111,aJ*0.722222,aJ*0.5,aJ*0.722222);aG.bezierCurveTo(aJ*0.388888,aJ*0.722222,aJ*0.333333,aJ*0.611111,aJ*0.333333,aJ*0.555555);aG.closePath();aI=aG.createLinearGradient(0,0.333333*aJ,0,0.666666*aJ);aI.addColorStop(0,"rgb(10, 9, 1)");aI.addColorStop(1,"rgb(42, 41, 37)");aG.fillStyle=aI;aG.fill();break;case"standardKnob":aI=aG.createLinearGradient(0,0,0,aJ);aI.addColorStop(0,"rgb(180, 180, 180)");aI.addColorStop(0.46,"rgb(63, 63, 63)");aI.addColorStop(1,"rgb(40, 40, 40)");aG.fillStyle=aI;aG.beginPath();aG.arc(aE,aD,aJ/2,0,D,true);aG.closePath();aG.fill();aI=aG.createLinearGradient(0,aJ-aJ*0.77,0,aJ-aJ*0.77+aJ*0.77);switch(aB.style){case"black":aI.addColorStop(0,"rgb(191, 191, 191)");aI.addColorStop(0.5,"rgb(45, 44, 49)");aI.addColorStop(1,"rgb(125, 126, 128)");break;case"brass":aI.addColorStop(0,"rgb(223, 208, 174)");aI.addColorStop(0.5,"rgb(123, 95, 63)");aI.addColorStop(1,"rgb(207, 190, 157)");break;case"silver":default:aI.addColorStop(0,"rgb(215, 215, 215)");aI.addColorStop(0.5,"rgb(116, 116, 116)");aI.addColorStop(1,"rgb(215, 215, 215)");break}aG.fillStyle=aI;aG.beginPath();aG.arc(aE,aD,aJ*0.77/2,0,D,true);aG.closePath();aG.fill();aI=aG.createRadialGradient(aE,aD,0,aE,aD,aJ*0.77/2);aI.addColorStop(0,"rgba(0, 0, 0, 0)");aI.addColorStop(0.75,"rgba(0, 0, 0, 0)");aI.addColorStop(0.76,"rgba(0, 0, 0, 0.01)");aI.addColorStop(1,"rgba(0, 0, 0, 0.2)");aG.fillStyle=aI;aG.beginPath();aG.arc(aE,aD,aJ*0.77/2,0,D,true);aG.closePath();aG.fill();break}B.cache[aH]=aF}return B.cache[aH]};B.cache={};var W=function(aJ,aC,aE){var aG,aF,aD=2*Math.round(aJ/4),aB=2*Math.round(aJ/4),aI,aH=aJ.toString()+aC+aE.outerColor_ON;if(!W.cache[aH]){aG=F(aJ,aJ);aF=aG.getContext("2d");switch(aC){case 0:aI=aF.createRadialGradient(aD,aB,0,aD,aB,aJ*0.5/2);aI.addColorStop(0,aE.innerColor1_OFF);aI.addColorStop(0.2,aE.innerColor2_OFF);aI.addColorStop(1,aE.outerColor_OFF);aF.fillStyle=aI;aF.beginPath();aF.arc(aD,aB,aJ*0.5/2,0,D,true);aF.closePath();aF.fill();aI=aF.createRadialGradient(aD,aB,0,aD,aB,aJ*0.5/2);aI.addColorStop(0,"rgba(0, 0, 0, 0)");aI.addColorStop(0.8,"rgba(0, 0, 0, 0)");aI.addColorStop(1,"rgba(0, 0, 0, 0.4)");aF.fillStyle=aI;aF.beginPath();aF.arc(aD,aB,aJ*0.5/2,0,D,true);aF.closePath();aF.fill();aI=aF.createLinearGradient(0,0.35*aJ,0,0.35*aJ+0.15*aJ);aI.addColorStop(0,"rgba(255, 255, 255, 0.4)");aI.addColorStop(1,"rgba(255, 255, 255, 0)");aF.fillStyle=aI;aF.beginPath();aF.arc(aD,0.35*aJ+0.2*aJ/2,aJ*0.2,0,D,true);aF.closePath();aF.fill();break;case 1:aI=aF.createRadialGradient(aD,aB,0,aD,aB,aJ*0.5/2);aI.addColorStop(0,aE.innerColor1_ON);aI.addColorStop(0.2,aE.innerColor2_ON);aI.addColorStop(1,aE.outerColor_ON);aF.fillStyle=aI;aF.beginPath();aF.arc(aD,aB,aJ*0.5/2,0,D,true);aF.closePath();aF.fill();aI=aF.createRadialGradient(aD,aB,0,aD,aB,aJ*0.5/2);aI.addColorStop(0,"rgba(0, 0, 0, 0)");aI.addColorStop(0.8,"rgba(0, 0, 0, 0)");aI.addColorStop(1,"rgba(0, 0, 0, 0.4)");aF.fillStyle=aI;aF.beginPath();aF.arc(aD,aB,aJ*0.5/2,0,D,true);aF.closePath();aF.fill();aI=aF.createLinearGradient(0,0.35*aJ,0,0.35*aJ+0.15*aJ);aI.addColorStop(0,"rgba(255, 255, 255, 0.4)");aI.addColorStop(1,"rgba(255, 255, 255, 0)");aF.fillStyle=aI;aF.beginPath();aF.arc(aD,0.35*aJ+0.2*aJ/2,aJ*0.2,0,D,true);aF.closePath();aF.fill();aI=aF.createRadialGradient(aD,aB,0,aD,aB,aJ/2);aI.addColorStop(0,I(aE.coronaColor,0));aI.addColorStop(0.6,I(aE.coronaColor,0.4));aI.addColorStop(0.7,I(aE.coronaColor,0.25));aI.addColorStop(0.8,I(aE.coronaColor,0.15));aI.addColorStop(0.85,I(aE.coronaColor,0.05));aI.addColorStop(1,I(aE.coronaColor,0));aF.fillStyle=aI;aF.beginPath();aF.arc(aD,aB,aJ/2,0,D,true);aF.closePath();aF.fill();break}W.cache[aH]=aG}return W.cache[aH]};W.cache={};var O=function(aC,aP,aR){var aK,aG,aF=0,aB=0,aL=aC,aQ=aP,aH=Math.min(aC,aP)*0.095,aN,aD=1,aO=1,aI=aC-2,aM=aP-2,aE=aH-1,aJ=aC.toString()+aP+JSON.stringify(aR);if(!O.cache[aJ]){aK=F(aC,aP);aG=aK.getContext("2d");aN=aG.createLinearGradient(0,aB,0,aB+aQ);aN.addColorStop(0,"#4c4c4c");aN.addColorStop(0.08,"#666666");aN.addColorStop(0.92,"#666666");aN.addColorStop(1,"#e6e6e6");aG.fillStyle=aN;J(aG,aF,aB,aL,aQ,aH);aG.fill();aN=aG.createLinearGradient(0,aO,0,aO+aM);aN.addColorStop(0,aR.gradientStartColor);aN.addColorStop(0.03,aR.gradientFraction1Color);aN.addColorStop(0.49,aR.gradientFraction2Color);aN.addColorStop(0.5,aR.gradientFraction3Color);aN.addColorStop(1,aR.gradientStopColor);aG.fillStyle=aN;J(aG,aD,aO,aI,aM,aE);aG.fill();O.cache[aJ]=aK}return O.cache[aJ]};O.cache={};var t=function(aD,aE,aB,aC){var aH,aG,aF=aD.toString()+aE+aB+aC;if(!t.cache[aF]){aH=x.createElement("canvas");aG=aH.getContext("2d");aH.width=aD;aH.height=aD;aG.fillStyle=aE;if(aB){aG.beginPath();aG.moveTo(aD*0.5,aD);aG.lineTo(0,0);aG.lineTo(aD,0);aG.closePath();aG.fill()}else{if(aC){aG.beginPath();aG.moveTo(aD,aD*0.5);aG.lineTo(0,0);aG.lineTo(0,aD);aG.closePath();aG.fill()}else{aG.beginPath();aG.moveTo(aD*0.5,0);aG.lineTo(aD,aD);aG.lineTo(0,aD);aG.closePath();aG.fill()}}t.cache[aF]=aH}return t.cache[aF]};t.cache={};var X=function(aD,aJ,aC){var aK=aD*2,aF,aE,aL,aH=aJ.state+aD+JSON.stringify(aC),aG=function(){var aM=aC[0];if(aJ.state==="up"){aL=aE.createRadialGradient(0.5*aD,0.2*aK,0,0.5*aD,0.2*aK,0.5*aD);aL.addColorStop(0,aM.innerColor1_ON);aL.addColorStop(0.2,aM.innerColor2_ON);aL.addColorStop(1,aM.outerColor_ON)}else{aL=aE.createLinearGradient(0,0,0,0.5*aK);aL.addColorStop(0,"#323232");aL.addColorStop(1,"#5c5c5c")}aE.fillStyle=aL;aE.beginPath();aE.moveTo(0.5*aD,0);aE.lineTo(aD,0.2*aK);aE.lineTo(0.752*aD,0.2*aK);aE.lineTo(0.752*aD,0.37*aK);aE.lineTo(0.252*aD,0.37*aK);aE.lineTo(0.252*aD,0.2*aK);aE.lineTo(0,0.2*aK);aE.closePath();aE.fill();if(aJ.state!=="up"){aE.strokeStyle="rgba(0, 0, 0, 0.4)";aE.beginPath();aE.moveTo(0,0.2*aK);aE.lineTo(0.5*aD,0);aE.lineTo(aD,0.2*aK);aE.moveTo(0.252*aD,0.2*aK);aE.lineTo(0.252*aD,0.37*aK);aE.stroke();aE.strokeStyle="rgba(255, 255, 255, 0.3)";aE.beginPath();aE.moveTo(0.252*aD,0.37*aK);aE.lineTo(0.752*aD,0.37*aK);aE.lineTo(0.752*aD,0.2*aK);aE.lineTo(aD,0.2*aK);aE.stroke()}else{aL=aE.createRadialGradient(0.5*aD,0.2*aK,0,0.5*aD,0.2*aK,0.7*aD);aL.addColorStop(0,I(aM.coronaColor,0));aL.addColorStop(0.5,I(aM.coronaColor,0.3));aL.addColorStop(0.7,I(aM.coronaColor,0.2));aL.addColorStop(0.8,I(aM.coronaColor,0.1));aL.addColorStop(0.85,I(aM.coronaColor,0.05));aL.addColorStop(1,I(aM.coronaColor,0));aE.fillStyle=aL;aE.beginPath();aE.arc(0.5*aD,0.2*aK,0.7*aD,0,D,true);aE.closePath();aE.fill()}},aI=function(){var aM=aC[1];aE.beginPath();if(aJ.state==="steady"){aL=aM.outerColor_ON;aE.fillStyle=aL;aE.rect(0.128*aD,0.41*aK,0.744*aD,0.074*aK);aE.rect(0.128*aD,0.516*aK,0.744*aD,0.074*aK);aE.closePath();aE.fill()}else{aL=aE.createLinearGradient(0,0.41*aK,0,0.41*aK+0.074*aK);aL.addColorStop(0,"#323232");aL.addColorStop(1,"#5c5c5c");aE.fillStyle=aL;aE.rect(0.128*aD,0.41*aK,0.744*aD,0.074*aK);aE.closePath();aE.fill();aL=aE.createLinearGradient(0,0.516*aK,0,0.516*aK+0.074*aK);aL.addColorStop(0,"#323232");aL.addColorStop(1,"#5c5c5c");aE.fillStyle=aL;aE.rect(0.128*aD,0.516*aK,0.744*aD,0.074*aK);aE.closePath();aE.fill()}if(aJ.state!=="steady"){aE.strokeStyle="rgba(0, 0, 0, 0.4)";aE.beginPath();aE.moveTo(0.128*aD,0.41*aK+0.074*aK);aE.lineTo(0.128*aD,0.41*aK);aE.lineTo(0.128*aD+0.744*aD,0.41*aK);aE.stroke();aE.beginPath();aE.moveTo(0.128*aD,0.516*aK+0.074*aK);aE.lineTo(0.128*aD,0.516*aK);aE.lineTo(0.128*aD+0.744*aD,0.516*aK);aE.stroke();aE.strokeStyle="rgba(255, 255, 255, 0.3)";aE.beginPath();aE.moveTo(0.128*aD+0.744*aD,0.41*aK);aE.lineTo(0.128*aD+0.744*aD,0.41*aK+0.074*aK);aE.lineTo(0.128*aD,0.41*aK+0.074*aK);aE.stroke();aE.beginPath();aE.moveTo(0.128*aD+0.744*aD,0.516*aK);aE.lineTo(0.128*aD+0.744*aD,0.516*aK+0.074*aK);aE.lineTo(0.128*aD,0.516*aK+0.074*aK);aE.stroke()}else{aL=aE.createRadialGradient(0.5*aD,0.5*aK,0,0.5*aD,0.5*aK,0.7*aD);aL.addColorStop(0,I(aM.coronaColor,0));aL.addColorStop(0.5,I(aM.coronaColor,0.3));aL.addColorStop(0.7,I(aM.coronaColor,0.2));aL.addColorStop(0.8,I(aM.coronaColor,0.1));aL.addColorStop(0.85,I(aM.coronaColor,0.05));aL.addColorStop(1,I(aM.coronaColor,0));aE.fillStyle=aL;aE.beginPath();aE.arc(0.5*aD,0.5*aK,0.7*aD,0,D,true);aE.closePath();aE.fill()}},aB=function(){var aM=aC[2];if(aJ.state==="down"){aL=aE.createRadialGradient(0.5*aD,0.8*aK,0,0.5*aD,0.8*aK,0.5*aD);aL.addColorStop(0,aM.innerColor1_ON);aL.addColorStop(0.2,aM.innerColor2_ON);aL.addColorStop(1,aM.outerColor_ON)}else{aL=aE.createLinearGradient(0,0.63*aK,0,aK);aL.addColorStop(0,"#323232");aL.addColorStop(1,"#5c5c5c")}aE.beginPath();aE.fillStyle=aL;aE.moveTo(0.5*aD,aK);aE.lineTo(aD,0.8*aK);aE.lineTo(0.725*aD,0.8*aK);aE.lineTo(0.725*aD,0.63*aK);aE.lineTo(0.252*aD,0.63*aK);aE.lineTo(0.252*aD,0.8*aK);aE.lineTo(0,0.8*aK);aE.closePath();aE.fill();if(aJ.state!=="down"){aE.strokeStyle="rgba(0, 0, 0, 0.4)";aE.beginPath();aE.moveTo(0,0.8*aK);aE.lineTo(0.252*aD,0.8*aK);aE.moveTo(0.252*aD,0.63*aK);aE.lineTo(0.752*aD,0.63*aK);aE.stroke();aE.beginPath();aE.moveTo(0.752*aD,0.8*aK);aE.lineTo(aD,0.8*aK);aE.stroke();aE.strokeStyle="rgba(255, 255, 255, 0.3)";aE.beginPath();aE.moveTo(0,0.8*aK);aE.lineTo(0.5*aD,aK);aE.lineTo(aD,0.8*aK);aE.stroke();aE.beginPath();aE.moveTo(0.752*aD,0.8*aK);aE.lineTo(0.752*aD,0.63*aK);aE.stroke()}else{aL=aE.createRadialGradient(0.5*aD,0.8*aK,0,0.5*aD,0.8*aK,0.7*aD);aL.addColorStop(0,I(aM.coronaColor,0));aL.addColorStop(0.5,I(aM.coronaColor,0.3));aL.addColorStop(0.7,I(aM.coronaColor,0.2));aL.addColorStop(0.8,I(aM.coronaColor,0.1));aL.addColorStop(0.85,I(aM.coronaColor,0.05));aL.addColorStop(1,I(aM.coronaColor,0));aE.fillStyle=aL;aE.beginPath();aE.arc(0.5*aD,0.8*aK,0.7*aD,0,D,true);aE.closePath();aE.fill()}};if(!X.cache[aH]){aF=F(aD*2,aD*4);aE=aF.getContext("2d");aE.translate(aD*0.5,aD*0.5);switch(aJ.state){case"up":aB();aI();aG();break;case"steady":aB();aG();aI();break;case"down":default:aG();aI();aB();break}X.cache[aH]=aF}return X.cache[aH]};X.cache={};var ad=function(aK,aG,aE,aB,aF,aH,aC,aI,aJ,aD){aD=(undefined===aD?aD=steelseries.GaugeType.TYPE1:aD);aK.save();aK.textAlign=(aI?"center":"left");aK.textBaseline="middle";aK.strokeStyle=aH.labelColor.getRgbaColor();aK.fillStyle=aH.labelColor.getRgbaColor();if(aI){aK.font=0.046728*aG+"px "+P;aK.fillText(aB,aG/2,aE*0.3,aG*0.3);aK.fillText(aF,aG/2,aE*0.38,aG*0.3)}else{if(aC){aK.font=0.1*aG+"px "+P;aK.save();aK.translate(0.671428*aG,0.1375*aE);aK.rotate(1.570796);aK.fillText(aB,0,0);aK.translate(-0.671428*aG,-0.1375*aE);aK.restore();aK.font=0.071428*aG+"px "+P;if(aJ){if(aD.type==="type2"){aK.textAlign="right";aK.fillText(aF,0.36*aG,aE*0.79,aG*0.25)}else{aK.fillText(aF,0.63*aG,aE*0.85,aG*0.2)}}else{aK.textAlign="center";if(aD.type==="type2"){aK.fillText(aF,aG/2,aE*0.92,aG*0.2)}else{aK.fillText(aF,aG/2,aE*0.89,aG*0.2)}}}else{aK.font=0.035*aG+"px "+P;aK.fillText(aB,aG*0.15,aE*0.25,aG*0.3);aK.font=0.025*aG+"px "+P;aK.fillText(aF,aG*0.0625,aE*0.7,aG*0.07)}}aK.restore()};var e=j(12,12,function(aD){var aE=aD.canvas.width,aC=aD.canvas.height,aB=0,aG=0,aF;aD.save();aD.save();aD.beginPath();aD.rect(0,0,aE*0.5,aC*0.5);aD.closePath();aD.restore();aF=aD.createLinearGradient(0,aG*aC,0,0.5*aC+aG*aC);aF.addColorStop(0,"rgb(35, 35, 35)");aF.addColorStop(1,"rgb(23, 23, 23)");aD.fillStyle=aF;aD.fill();aD.save();aD.beginPath();aD.rect(aE*0.083333,0,aE*0.333333,aC*0.416666);aD.closePath();aD.restore();aB=0.083333;aG=0;aF=aD.createLinearGradient(0,aG*aC,0,0.416666*aC+aG*aC);aF.addColorStop(0,"rgb(38, 38, 38)");aF.addColorStop(1,"rgb(30, 30, 30)");aD.fillStyle=aF;aD.fill();aD.save();aD.beginPath();aD.rect(aE*0.5,aC*0.5,aE*0.5,aC*0.5);aD.closePath();aD.restore();aB=0.5;aG=0.5;aF=aD.createLinearGradient(0,aG*aC,0,0.5*aC+aG*aC);aF.addColorStop(0,"rgb(35, 35, 35)");aF.addColorStop(1,"rgb(23, 23, 23)");aD.fillStyle=aF;aD.fill();aD.save();aD.beginPath();aD.rect(aE*0.583333,aC*0.5,aE*0.333333,aC*0.416666);aD.closePath();aD.restore();aB=0.583333;aG=0.5;aF=aD.createLinearGradient(0,aG*aC,0,0.416666*aC+aG*aC);aF.addColorStop(0,"rgb(38, 38, 38)");aF.addColorStop(1,"rgb(30, 30, 30)");aD.fillStyle=aF;aD.fill();aD.save();aD.beginPath();aD.rect(aE*0.5,0,aE*0.5,aC*0.5);aD.closePath();aD.restore();aB=0.5;aG=0;aF=aD.createLinearGradient(0,aG*aC,0,0.5*aC+aG*aC);aF.addColorStop(0,"#303030");aF.addColorStop(1,"rgb(40, 40, 40)");aD.fillStyle=aF;aD.fill();aD.save();aD.beginPath();aD.rect(aE*0.583333,aC*0.083333,aE*0.333333,aC*0.416666);aD.closePath();aD.restore();aB=0.583333;aG=0.083333;aF=aD.createLinearGradient(0,aG*aC,0,0.416666*aC+aG*aC);aF.addColorStop(0,"rgb(53, 53, 53)");aF.addColorStop(1,"rgb(45, 45, 45)");aD.fillStyle=aF;aD.fill();aD.save();aD.beginPath();aD.rect(0,aC*0.5,aE*0.5,aC*0.5);aD.closePath();aD.restore();aB=0;aG=0.5;aF=aD.createLinearGradient(0,aG*aC,0,0.5*aC+aG*aC);aF.addColorStop(0,"#303030");aF.addColorStop(1,"#282828");aD.fillStyle=aF;aD.fill();aD.save();aD.beginPath();aD.rect(aE*0.083333,aC*0.583333,aE*0.333333,aC*0.416666);aD.closePath();aD.restore();aB=0.083333;aG=0.583333;aF=aD.createLinearGradient(0,aG*aC,0,0.416666*aC+aG*aC);aF.addColorStop(0,"#353535");aF.addColorStop(1,"#2d2d2d");aD.fillStyle=aF;aD.fill();aD.restore()});var af=j(15,15,function(aC){var aD=aC.canvas.width,aB=aC.canvas.height,aE;aC.save();aC.save();aC.beginPath();aC.rect(0,0,aD,aB);aC.closePath();aC.restore();aC.fillStyle="#1D2123";aC.fill();aC.save();aC.beginPath();aC.moveTo(0,aB*0.266666);aC.bezierCurveTo(0,aB*0.4,aD*0.066666,aB*0.466666,aD*0.2,aB*0.466666);aC.bezierCurveTo(aD*0.333333,aB*0.466666,aD*0.4,aB*0.4,aD*0.4,aB*0.266666);aC.bezierCurveTo(aD*0.4,aB*0.133333,aD*0.333333,aB*0.066666,aD*0.2,aB*0.066666);aC.bezierCurveTo(aD*0.066666,aB*0.066666,0,aB*0.133333,0,aB*0.266666);aC.closePath();aE=aC.createLinearGradient(0,0.066666*aB,0,0.466666*aB);aE.addColorStop(0,"#000000");aE.addColorStop(1,"#444444");aC.fillStyle=aE;aC.fill();aC.save();aC.beginPath();aC.moveTo(0,aB*0.2);aC.bezierCurveTo(0,aB*0.333333,aD*0.066666,aB*0.4,aD*0.2,aB*0.4);aC.bezierCurveTo(aD*0.333333,aB*0.4,aD*0.4,aB*0.333333,aD*0.4,aB*0.2);aC.bezierCurveTo(aD*0.4,aB*0.066666,aD*0.333333,0,aD*0.2,0);aC.bezierCurveTo(aD*0.066666,0,0,aB*0.066666,0,aB*0.2);aC.closePath();aC.fillStyle="#050506";aC.fill();aC.save();aC.beginPath();aC.moveTo(aD*0.466666,aB*0.733333);aC.bezierCurveTo(aD*0.466666,aB*0.866666,aD*0.533333,aB*0.933333,aD*0.666666,aB*0.933333);aC.bezierCurveTo(aD*0.8,aB*0.933333,aD*0.866666,aB*0.866666,aD*0.866666,aB*0.733333);aC.bezierCurveTo(aD*0.866666,aB*0.6,aD*0.8,aB*0.533333,aD*0.666666,aB*0.533333);aC.bezierCurveTo(aD*0.533333,aB*0.533333,aD*0.466666,aB*0.6,aD*0.466666,aB*0.733333);aC.closePath();aE=aC.createLinearGradient(0,0.533333*aB,0,0.933333*aB);aE.addColorStop(0,"#000000");aE.addColorStop(1,"#444444");aC.fillStyle=aE;aC.fill();aC.save();aC.beginPath();aC.moveTo(aD*0.466666,aB*0.666666);aC.bezierCurveTo(aD*0.466666,aB*0.8,aD*0.533333,aB*0.866666,aD*0.666666,aB*0.866666);aC.bezierCurveTo(aD*0.8,aB*0.866666,aD*0.866666,aB*0.8,aD*0.866666,aB*0.666666);aC.bezierCurveTo(aD*0.866666,aB*0.533333,aD*0.8,aB*0.466666,aD*0.666666,aB*0.466666);aC.bezierCurveTo(aD*0.533333,aB*0.466666,aD*0.466666,aB*0.533333,aD*0.466666,aB*0.666666);aC.closePath();aC.fillStyle="#050506";aC.fill();aC.restore()});var m=function(aD,aC,aE,aB,aI){this.fill=function(a7,a5,aM,aK){var a4,aW,aV,aZ,a2,aY,a9,aO,aS,aR,aN=255,aQ=(aD>>16)&255,aX=(aD>>8)&255,aJ=aD&255,a1=0,a8=255*aE,aU,a0,a3,ba,aL,aP,aT,a6;a7=Math.floor(a7);a5=Math.floor(a5);aM=Math.ceil(aM);aK=Math.ceil(aK);a2=aM-a7;aY=aK-a5;a9=F(a2,aY);aO=a9.getContext("2d");aS=aO.createImageData(a2,aY);aR=aO.createImageData(a2,aY);if(aI!==0){aZ=[];for(a4=0;a4<a2;a4++){aZ[a4]=(255*aI*Math.sin(a4/a2*ac))|0}}for(aV=0;aV<aY;aV++){if(aC!==0){aU=a0=a3=0}for(aW=0;aW<a2;aW++){ba=(aV*a2*4)+(aW*4);aL=aQ;aP=aX;aT=aJ;if(aI!==0){a6=aZ[aW];aL+=a6;aP+=a6;aT+=a6}if(aB){a1=((2*Math.random()-1)*a8)|0;aS.data[ba]=aG(aL+a1);aS.data[ba+1]=aG(aP+a1);aS.data[ba+2]=aG(aT+a1);aS.data[ba+3]=aN}else{aS.data[ba]=aF(aL,a8);aS.data[ba+1]=aF(aP,a8);aS.data[ba+2]=aF(aT,a8);aS.data[ba+3]=aN}}}if(aC>0){aH(aS,aR,a2,aY,aC,aN);aO.putImageData(aR,a7,a5)}else{aO.putImageData(aS,a7,a5)}return a9};function aF(aJ,aK){aJ+=((2*Math.random()-1)*aK)|0;return(aJ<0?0:(aJ>255?255:aJ))}function aG(aJ){return(aJ<0?0:(aJ>255?255:aJ))}function aH(aU,aK,aJ,aV,aQ,aM){var aT,aS,aO,aL,aP,aW,aN,aR;if(aQ>=aJ){aQ=aJ-1}aL=1/(aQ*2+1);aP=0;for(aS=0;aS<aV;aS++){aW=aN=aR=0;for(aT=0;aT<aQ;aT++){aO=(aP+aT)*4;aW+=aU.data[aO];aN+=aU.data[aO+1];aR+=aU.data[aO+2]}for(aT=0;aT<aJ;aT++){if(aT>aQ){aO=(aP-aQ-1)*4;aW-=aU.data[aO];aN-=aU.data[aO+1];aR-=aU.data[aO+2]}if(aT+aQ<aJ){aO=(aP+aQ)*4;aW+=aU.data[aO];aN+=aU.data[aO+1];aR+=aU.data[aO+2]}aO=aP*4;aK.data[aO]=(aW*aL)|0;aK.data[aO+1]=(aN*aL)|0;aK.data[aO+2]=(aR*aL)|0;aK.data[aO+3]=aM;aP++}}}return this};var G=function(aB,aG,aH,aI){var aD,aF,aJ,aE;if(arguments.length===1){aH=parseInt(aB.substr(5,2),16);aG=parseInt(aB.substr(3,2),16);aB=parseInt(aB.substr(1,2),16);aI=1}else{if(arguments.length===3){aI=1}}function aC(){aD=z(aB,255);aF=z(aG,255);aJ=z(aH,255);aE=z(aI,1)}aC();this.getRed=function(){return aD};this.setRed=function(aK){aD=z(aK,255)};this.getGreen=function(){return aF};this.setGreen=function(aK){aF=z(aK,255)};this.getBlue=function(){return aJ};this.setBlue=function(aK){aJ=z(aK,255)};this.getAlpha=function(){return aE};this.setAlpha=function(aK){aE=z(aK,1)};this.getRgbaColor=function(){return"rgba("+aD+", "+aF+", "+aJ+", "+aE+")"};this.getRgbColor=function(){return"rgb("+aD+", "+aF+", "+aJ+")"};this.getHexColor=function(){return"#"+aD.toString(16)+aF.toString(16)+aJ.toString(16)}};var C=function(aE,aC){var aB=aE.length-1,aD;for(aD=0;aD<=aB;aD++){aE[aD]=D*aE[aD]-ac}this.fillCircle=function(aR,aJ,aI,aX,aV){var aU,aG=Math.ceil(aV),aL=aG*2,aQ,aH,aM,aK,aP,aO,aN,aF,aY,aW,aT,aS;aQ=aR.createImageData(aL,aL);aH=255;for(aK=0;aK<aL;aK++){aO=aG-aK;aN=aO*aO;for(aM=0;aM<aL;aM++){aP=aM-aG;aF=Math.sqrt((aP*aP)+aN);if(aF<=aG&&aF>=aX){aU=Math.atan2(aP,aO);for(aD=0;aD<aB;aD++){if(aU>=aE[aD]&&aU<aE[aD+1]){aW=ax(aC[aD],aC[aD+1],aE[aD+1]-aE[aD],aU-aE[aD],true)}}aY=((aL-aK)*aL*4)+(aM*4);aQ.data[aY]=aW[0];aQ.data[aY+1]=aW[1];aQ.data[aY+2]=aW[2];aQ.data[aY+3]=aH}}}aT=F(aL,aL);aS=aT.getContext("2d");aS.putImageData(aQ,0,0);aR.drawImage(aT,aJ-aG,aI-aG)};this.fillRect=function(aQ,aI,aH,aP,aN,aX,aW){var aT,aU,aF,aO,aG,aK,aJ,aM,aL,aY,aV,aS,aR;aP=Math.ceil(aP);aN=Math.ceil(aN);aU=aP/2;aF=aN/2;aX=Math.ceil(aX);aW=Math.ceil(aW);aO=aQ.createImageData(aP,aN);aG=255;for(aJ=0;aJ<aN;aJ++){aL=aF-aJ;for(aK=0;aK<aP;aK++){if(aJ>aW&&aJ<=aN-aW){if(aK>aX&&aK<aP-aX){aK=aP-aX}}aM=aK-aU;aT=Math.atan2(aM,aL);for(aD=0;aD<aB;aD++){if(aT>=aE[aD]&&aT<aE[aD+1]){aV=ax(aC[aD],aC[aD+1],aE[aD+1]-aE[aD],aT-aE[aD],true)}}aY=((aN-aJ)*aP*4)+(aK*4);aO.data[aY]=aV[0];aO.data[aY+1]=aV[0];aO.data[aY+2]=aV[0];aO.data[aY+3]=aG}}aS=F(aP,aN);aR=aS.getContext("2d");aR.putImageData(aO,0,0);aQ.drawImage(aS,aI-aU,aH-aF)}};var g=function(aE,aC,aD,aB){this.getColorAt=function(aJ){var aI=0,aL=0,aH=1,aK=1,aG,aF;aJ=(aJ<0?0:(aJ>1?1:aJ));for(aG=0;aG<aD.length;aG++){if(aD[aG]<aJ&&aI<aD[aG]){aI=aD[aG];aL=aG}if(aD[aG]===aJ){return aB[aG]}if(aD[aG]>aJ&&aH>=aD[aG]){aH=aD[aG];aK=aG}}aF=(aJ-aI)/(aH-aI);return ax(aB[aL],aB[aK],1,aF)};this.getStart=function(){return aE};this.getEnd=function(){return aC}};function I(aE,aH){var aD=("#"===aE.charAt(0))?aE.substring(1,7):aE,aG=parseInt((aD).substring(0,2),16),aF=parseInt((aD).substring(2,4),16),aB=parseInt((aD).substring(4,6),16),aC="rgba("+aG+","+aF+","+aB+","+aH+")";return aC}function ax(aL,aM,aJ,aF,aB){var aS=1/255,aR=aL.getRed(),aG=aL.getGreen(),aD=aL.getBlue(),aC=aL.getAlpha(),aP=aM.getRed()-aR,aI=aM.getGreen()-aG,aQ=aM.getBlue()-aD,aE=aM.getAlpha()*aS-aC*aS,aO=aP/aJ*aF,aN=aI/aJ*aF,aK=aQ/aJ*aF,aH=aE/aJ*aF;aB=aB||false;if(aB){return[(aR+aO).toFixed(0),(aG+aN).toFixed(0),(aD+aK).toFixed(0),aC+aH]}else{return new G((aR+aO).toFixed(0),(aG+aN).toFixed(0),(aD+aK).toFixed(0),aC+aH)}}function al(aD,aC,aB){return{start:aD,stop:aC,color:aB}}Math.log10=function(aB){return(Math.log(aB)/Math.LN10)};function f(aC,aB){var aF=Math.floor(Math.log10(aC)),aE=aC/Math.pow(10,aF),aD;if(aB){if(1.5>aE){aD=1}else{if(3>aE){aD=2}else{if(7>aE){aD=5}else{aD=10}}}}else{if(1>=aE){aD=1}else{if(2>=aE){aD=2}else{if(5>=aE){aD=5}else{aD=10}}}}return aD*Math.pow(10,aF)}function J(aF,aD,aI,aE,aG,aC){var aH=aD+aE,aB=aI+aG;aF.beginPath();aF.moveTo(aD+aC,aI);aF.lineTo(aH-aC,aI);aF.quadraticCurveTo(aH,aI,aH,aI+aC);aF.lineTo(aH,aI+aG-aC);aF.quadraticCurveTo(aH,aB,aH-aC,aB);aF.lineTo(aD+aC,aB);aF.quadraticCurveTo(aD,aB,aD,aB-aC);aF.lineTo(aD,aI+aC);aF.quadraticCurveTo(aD,aI,aD+aC,aI);aF.closePath()}function F(aD,aB){var aC=x.createElement("canvas");aC.width=aD;aC.height=aB;return aC}function j(aD,aB,aE){var aC=x.createElement("canvas");aC.width=aD;aC.height=aB;aE(aC.getContext("2d"));return aC}function am(aB){var aD,aC=j(1,1,function(aE){aE.fillStyle=aB;aE.beginPath();aE.rect(0,0,1,1);aE.fill()});aD=aC.getContext("2d").getImageData(0,0,2,2).data;return[aD[0],aD[1],aD[2],aD[3]]}function p(aF){var aC,aI,aD,aG,aH,aE=am(aF),aB=new G(aE[0],aE[1],aE[2],aE[3]);aC=ay(aB,0.32);aI=ay(aB,0.62);aD=ai(aB,0.84);aG=ai(aB,0.94);aH=ai(aB,1);return new y(aC,aI,aB,aD,aG,aH)}function ag(aB,aC,aH){var aD,aG,aF,aE,aJ,aI;aB/=255;aC/=255;aH/=255;aG=Math.max(aB,aC,aH);aD=Math.min(aB,aC,aH);aJ=(aG+aD)/2;if(aG===aD){aF=aE=0}else{aI=aG-aD;aE=aJ>0.5?aI/(2-aG-aD):aI/(aG+aD);switch(aG){case aB:aF=(aC-aH)/aI+(aC<aH?6:0);break;case aC:aF=(aH-aB)/aI+2;break;case aH:aF=(aB-aC)/aI+4;break}aF/=6}return[aF,aE,aJ]}function T(aH,aF,aJ){var aB,aG,aK,aE=Math.floor(aH*6),aI=aH*6-aE,aD=aJ*(1-aF),aC=aJ*(1-aI*aF),aL=aJ*(1-(1-aI)*aF);switch(aE%6){case 0:aB=aJ;aG=aL;aK=aD;break;case 1:aB=aC;aG=aJ;aK=aD;break;case 2:aB=aD;aG=aJ;aK=aL;break;case 3:aB=aD;aG=aC;aK=aJ;break;case 4:aB=aL;aG=aD;aK=aJ;break;case 5:aB=aJ;aG=aD;aK=aC;break}return[Math.floor(aB*255),Math.floor(aG*255),Math.floor(aK*255)]}function aj(aB,aE,aH){var aC,aI,aF,aD,aG,aJ;aB=aB/255;aE=aE/255;aH=aH/255;aI=Math.max(aB,aE,aH);aC=Math.min(aB,aE,aH);aG=aI;aJ=aI-aC;aD=aI===0?0:aJ/aI;if(aI===aC){aF=0}else{switch(aI){case aB:aF=(aE-aH)/aJ+(aE<aH?6:0);break;case aE:aF=(aH-aB)/aJ+2;break;case aH:aF=(aB-aE)/aJ+4;break}aF/=6}return[aF,aD,aG]}function z(aC,aB){return(aC<0?0:(aC>aB?aB:aC))}function ay(aC,aD){var aF=Math.floor(aC.getRed()*(1-aD)),aE=Math.floor(aC.getGreen()*(1-aD)),aB=Math.floor(aC.getBlue()*(1-aD));aF=z(aF,255);aE=z(aE,255);aB=z(aB,255);return new G(aF,aE,aB,aC.getAlpha())}function ai(aC,aD){var aF=Math.round(aC.getRed()*(1+aD)),aE=Math.round(aC.getGreen()*(1+aD)),aB=Math.round(aC.getBlue()*(1+aD));aF=z(aF,255);aE=z(aE,255);aB=z(aB,255);return new G(aF,aE,aB,aC.getAlpha())}function l(aD,aB,aC){var aF,aE;if(aC<=aB){throw"Rotary bounds are of negative or zero size"}aF=aC-aB;aE=Math.floor((aD-aB)/aF);return aD-(aE*aF)}function Z(aC,aB){return l((aB-aC),-180,180)}var U=(function(){return window.requestAnimationFrame||window.webkitRequestAnimationFrame||window.mozRequestAnimationFrame||window.oRequestAnimationFrame||window.msRequestAnimationFrame||function(aB){window.setTimeout(aB,1000/16)}}());function o(aB){var aC=(typeof aB==="string"||aB instanceof String)?x.getElementById(aB):aB;return aC.getContext("2d")}var h;(function(){h=function(aG,aE,aB,aF,aC,aD){this.gradientStart=aG;this.gradientFraction=aE;this.gradientStop=aB;this.labelColor=aF;this.symbolColor=aC;this.name=aD}}());var Y;(function(){Y=function(aB,aE,aD,aC,aG,aF){this.gradientStartColor=aB;this.gradientFraction1Color=aE;this.gradientFraction2Color=aD;this.gradientFraction3Color=aC;this.gradientStopColor=aG;this.textColor=aF}}());var y;(function(){y=function(aG,aF,aD,aC,aB,aE){this.veryDark=aG;this.dark=aF;this.medium=aD;this.light=aC;this.lighter=aB;this.veryLight=aE}}());var aa;(function(){aa=function(aD,aB,aH,aF,aE,aC,aG){this.innerColor1_ON=aD;this.innerColor2_ON=aB;this.outerColor_ON=aH;this.coronaColor=aF;this.innerColor1_OFF=aE;this.innerColor2_OFF=aC;this.outerColor_OFF=aG}}());var at;(function(){at=function(aB){this.type=aB}}());var M;(function(){M=function(aB){this.type=aB}}());var aw;(function(){aw=function(aB){this.type=aB}}());var k;(function(){k=function(aB){this.style=aB}}());var ab;(function(){ab=function(aB){this.design=aB}}());var S;(function(){S=function(aB){this.type=aB}}());var a;(function(){a=function(aB){this.type=aB}}());var r;(function(){r=function(aB){this.format=aB}}());var ar;(function(){ar=function(aB){this.type=aB}}());var an;(function(){an=function(aB){this.state=aB}}());var q={DARK_GRAY:new h(new G(0,0,0,1),new G(51,51,51,1),new G(153,153,153,1),new G(255,255,255,1),new G(180,180,180,1),"DARK_GRAY"),SATIN_GRAY:new h(new G(45,57,57,1),new G(45,57,57,1),new G(45,57,57,1),new G(167,184,180,1),new G(137,154,150,1),"SATIN_GRAY"),LIGHT_GRAY:new h(new G(130,130,130,1),new G(181,181,181,1),new G(253,253,253,1),new G(0,0,0,1),new G(80,80,80,1),"LIGHT_GRAY"),WHITE:new h(new G(255,255,255,1),new G(255,255,255,1),new G(255,255,255,1),new G(0,0,0,1),new G(80,80,80,1),"WHITE"),BLACK:new h(new G(0,0,0,1),new G(0,0,0,1),new G(0,0,0,1),new G(255,255,255,1),new G(150,150,150,1),"BLACK"),BEIGE:new h(new G(178,172,150,1),new G(204,205,184,1),new G(231,231,214,1),new G(0,0,0,1),new G(80,80,80,1),"BEIGE"),BROWN:new h(new G(245,225,193,1),new G(245,225,193,1),new G(255,250,240,1),new G(109,73,47,1),new G(89,53,27,1),"BROWN"),RED:new h(new G(198,93,95,1),new G(212,132,134,1),new G(242,218,218,1),new G(0,0,0,1),new G(90,0,0,1),"RED"),GREEN:new h(new G(65,120,40,1),new G(129,171,95,1),new G(218,237,202,1),new G(0,0,0,1),new G(0,90,0,1),"GREEN"),BLUE:new h(new G(45,83,122,1),new G(115,144,170,1),new G(227,234,238,1),new G(0,0,0,1),new G(0,0,90,1),"BLUE"),ANTHRACITE:new h(new G(50,50,54,1),new G(47,47,51,1),new G(69,69,74,1),new G(250,250,250,1),new G(180,180,180,1),"ANTHRACITE"),MUD:new h(new G(80,86,82,1),new G(70,76,72,1),new G(57,62,58,1),new G(255,255,240,1),new G(225,225,210,1),"MUD"),PUNCHED_SHEET:new h(new G(50,50,54,1),new G(47,47,51,1),new G(69,69,74,1),new G(255,255,255,1),new G(180,180,180,1),"PUNCHED_SHEET"),CARBON:new h(new G(50,50,54,1),new G(47,47,51,1),new G(69,69,74,1),new G(255,255,255,1),new G(180,180,180,1),"CARBON"),STAINLESS:new h(new G(130,130,130,1),new G(181,181,181,1),new G(253,253,253,1),new G(0,0,0,1),new G(80,80,80,1),"STAINLESS"),BRUSHED_METAL:new h(new G(50,50,54,1),new G(47,47,51,1),new G(69,69,74,1),new G(0,0,0,1),new G(80,80,80,1),"BRUSHED_METAL"),BRUSHED_STAINLESS:new h(new G(50,50,54,1),new G(47,47,51,1),new G(110,110,112,1),new G(0,0,0,1),new G(80,80,80,1),"BRUSHED_STAINLESS"),TURNED:new h(new G(130,130,130,1),new G(181,181,181,1),new G(253,253,253,1),new G(0,0,0,1),new G(80,80,80,1),"TURNED")};var ae={BEIGE:new Y("#c8c8b1","rgb(241, 237, 207)","rgb(234, 230, 194)","rgb(225, 220, 183)","rgb(237, 232, 191)","#000000"),BLUE:new Y("#ffffff","rgb(231, 246, 255)","rgb(170, 224, 255)","rgb(136, 212, 255)","rgb(192, 232, 255)","#124564"),ORANGE:new Y("#ffffff","rgb(255, 245, 225)","rgb(255, 217, 147)","rgb(255, 201, 104)","rgb(255, 227, 173)","#503700"),RED:new Y("#ffffff","rgb(255, 225, 225)","rgb(253, 152, 152)","rgb(252, 114, 115)","rgb(254, 178, 178)","#4f0c0e"),YELLOW:new Y("#ffffff","rgb(245, 255, 186)","rgb(210, 255, 0)","rgb(158, 205, 0)","rgb(210, 255, 0)","#405300"),WHITE:new Y("#ffffff","#ffffff","rgb(241, 246, 242)","rgb(229, 239, 244)","#ffffff","#000000"),GRAY:new Y("#414141","rgb(117, 117, 117)","rgb(87, 87, 87)","#414141","rgb(81, 81, 81)","#ffffff"),BLACK:new Y("#414141","#666666","#333333","#000000","#333333","#cccccc"),GREEN:new Y("rgb(33, 67, 67)","rgb(33, 67, 67)","rgb(29, 58, 58)","rgb(28, 57, 57)","rgb(23, 46, 46)","rgba(0, 185, 165, 255)"),BLUE2:new Y("rgb(0, 68, 103)","rgb(8, 109, 165)","rgb(0, 72, 117)","rgb(0, 72, 117)","rgb(0, 68, 103)","rgb(111, 182, 228)"),BLUE_BLACK:new Y("rgb(22, 125, 212)","rgb(3, 162, 254)","rgb(3, 162, 254)","rgb(3, 162, 254)","rgb(11, 172, 244)","#000000"),BLUE_DARKBLUE:new Y("rgb(18, 33, 88)","rgb(18, 33, 88)","rgb(19, 30, 90)","rgb(17, 31, 94)","rgb(21, 25, 90)","rgb(23, 99, 221)"),BLUE_GRAY:new Y("rgb(135, 174, 255)","rgb(101, 159, 255)","rgb(44, 93, 255)","rgb(27, 65, 254)","rgb(12, 50, 255)","#b2b4ed"),STANDARD:new Y("rgb(131, 133, 119)","rgb(176, 183, 167)","rgb(165, 174, 153)","rgb(166, 175, 156)","rgb(175, 184, 165)","rgb(35, 42, 52)"),STANDARD_GREEN:new Y("#ffffff","rgb(219, 230, 220)","rgb(179, 194, 178)","rgb(153, 176, 151)","rgb(114, 138, 109)","#080C06"),BLUE_BLUE:new Y("rgb(100, 168, 253)","rgb(100, 168, 253)","rgb(95, 160, 250)","rgb(80, 144, 252)","rgb(74, 134, 255)","#002cbb"),RED_DARKRED:new Y("rgb(72, 36, 50)","rgb(185, 111, 110)","rgb(148, 66, 72)","rgb(83, 19, 20)","rgb(7, 6, 14)","#FE8B92"),DARKBLUE:new Y("rgb(14, 24, 31)","rgb(46, 105, 144)","rgb(19, 64, 96)","rgb(6, 20, 29)","rgb(8, 9, 10)","#3DB3FF"),LILA:new Y("rgb(175, 164, 255)","rgb(188, 168, 253)","rgb(176, 159, 255)","rgb(174, 147, 252)","rgb(168, 136, 233)","#076148"),BLACKRED:new Y("rgb(8, 12, 11)","rgb(10, 11, 13)","rgb(11, 10, 15)","rgb(7, 13, 9)","rgb(9, 13, 14)","#B50026"),DARKGREEN:new Y("rgb(25, 85, 0)","rgb(47, 154, 0)","rgb(30, 101, 0)","rgb(30, 101, 0)","rgb(25, 85, 0)","#233123"),AMBER:new Y("rgb(182, 71, 0)","rgb(236, 155, 25)","rgb(212, 93, 5)","rgb(212, 93, 5)","rgb(182, 71, 0)","#593A0A"),LIGHTBLUE:new Y("rgb(125, 146, 184)","rgb(197, 212, 231)","rgb(138, 155, 194)","rgb(138, 155, 194)","rgb(125, 146, 184)","#090051"),SECTIONS:new Y("#b2b2b2","#ffffff","#c4c4c4","#c4c4c4","#b2b2b2","#000000")};var n={RED:new y(new G(82,0,0,1),new G(158,0,19,1),new G(213,0,25,1),new G(240,82,88,1),new G(255,171,173,1),new G(255,217,218,1)),GREEN:new y(new G(8,54,4,1),new G(0,107,14,1),new G(15,148,0,1),new G(121,186,37,1),new G(190,231,141,1),new G(234,247,218,1)),BLUE:new y(new G(0,11,68,1),new G(0,73,135,1),new G(0,108,201,1),new G(0,141,242,1),new G(122,200,255,1),new G(204,236,255,1)),ORANGE:new y(new G(118,83,30,1),new G(215,67,0,1),new G(240,117,0,1),new G(255,166,0,1),new G(255,255,128,1),new G(255,247,194,1)),YELLOW:new y(new G(41,41,0,1),new G(102,102,0,1),new G(177,165,0,1),new G(255,242,0,1),new G(255,250,153,1),new G(255,252,204,1)),CYAN:new y(new G(15,109,109,1),new G(0,109,144,1),new G(0,144,191,1),new G(0,174,239,1),new G(153,223,249,1),new G(204,239,252,1)),MAGENTA:new y(new G(98,0,114,1),new G(128,24,72,1),new G(191,36,107,1),new G(255,48,143,1),new G(255,172,210,1),new G(255,214,23,1)),WHITE:new y(new G(210,210,210,1),new G(220,220,220,1),new G(235,235,235,1),new G(255,255,255,1),new G(255,255,255,1),new G(255,255,255,1)),GRAY:new y(new G(25,25,25,1),new G(51,51,51,1),new G(76,76,76,1),new G(128,128,128,1),new G(204,204,204,1),new G(243,243,243,1)),BLACK:new y(new G(0,0,0,1),new G(5,5,5,1),new G(10,10,10,1),new G(15,15,15,1),new G(20,20,20,1),new G(25,25,25,1)),RAITH:new y(new G(0,32,65,1),new G(0,65,125,1),new G(0,106,172,1),new G(130,180,214,1),new G(148,203,242,1),new G(191,229,255,1)),GREEN_LCD:new y(new G(0,55,45,1),new G(15,109,93,1),new G(0,185,165,1),new G(48,255,204,1),new G(153,255,227,1),new G(204,255,241,1)),JUG_GREEN:new y(new G(0,56,0,1),new G(32,69,36,1),new G(50,161,0,1),new G(129,206,0,1),new G(190,231,141,1),new G(234,247,218,1))};var u={RED_LED:new aa("#FF9A89","#FF9A89","#FF3300","#FF8D70","#7E1C00","#7E1C00","#641B00"),GREEN_LED:new aa("#9AFF89","#9AFF89","#59FF2A","#A5FF00","#1C7E00","#1C7E00","#1B6400"),BLUE_LED:new aa("#899AFF","#899AFF","#0033FF","#708DFF","#001C7E","#001C7E","#001B64"),ORANGE_LED:new aa("#FEA23F","#FEA23F","#FD6C00","#FD6C00","#592800","#592800","#421F00"),YELLOW_LED:new aa("#FFFF62","#FFFF62","#FFFF00","#FFFF00","#6B6D00","#6B6D00","#515300"),CYAN_LED:new aa("#00FFFF","#00FFFF","#1BC3C3","#00FFFF","#083B3B","#083B3B","#052727"),MAGENTA_LED:new aa("#D300FF","#D300FF","#8600CB","#C300FF","#38004B","#38004B","#280035")};var H={TYPE1:new at("type1"),TYPE2:new at("type2"),TYPE3:new at("type3"),TYPE4:new at("type4"),TYPE5:new at("type5")};var ak={NORTH:new M("north"),SOUTH:new M("south"),EAST:new M("east"),WEST:new M("west")};var au={STANDARD_KNOB:new aw("standardKnob"),METAL_KNOB:new aw("metalKnob")};var N={BLACK:new k("black"),BRASS:new k("brass"),SILVER:new k("silver")};var av={BLACK_METAL:new ab("blackMetal"),METAL:new ab("metal"),SHINY_METAL:new ab("shinyMetal"),BRASS:new ab("brass"),STEEL:new ab("steel"),CHROME:new ab("chrome"),GOLD:new ab("gold"),ANTHRACITE:new ab("anthracite"),TILTED_GRAY:new ab("tiltedGray"),TILTED_BLACK:new ab("tiltedBlack"),GLOSSY_METAL:new ab("glossyMetal")};var ah={TYPE1:new S("type1"),TYPE2:new S("type2"),TYPE3:new S("type3"),TYPE4:new S("type4"),TYPE5:new S("type5"),TYPE6:new S("type6"),TYPE7:new S("type7"),TYPE8:new S("type8"),TYPE9:new S("type9"),TYPE10:new S("type10"),TYPE11:new S("type11"),TYPE12:new S("type12"),TYPE13:new S("type13"),TYPE14:new S("type14"),TYPE15:new S("type15"),TYPE16:new S("type16")};var aq={TYPE1:new a("type1"),TYPE2:new a("type2"),TYPE3:new a("type3"),TYPE4:new a("type4"),TYPE5:new a("type5")};var s={STANDARD:new r("standard"),FRACTIONAL:new r("fractional"),SCIENTIFIC:new r("scientific")};var R={NORMAL:new ar("normal"),HORIZONTAL:new ar("horizontal"),TANGENT:new ar("tangent")};var ap={UP:new an("up"),STEADY:new an("steady"),DOWN:new an("down"),OFF:new an("off")};return{Radial:Q,RadialBargraph:v,RadialVertical:V,WindDirection:E,Altimeter:aA,drawFrame:c,drawBackground:az,drawForeground:w,rgbaColor:G,ConicalGradient:C,setAlpha:I,getColorFromFraction:ax,gradientWrapper:g,BackgroundColor:q,LcdColor:ae,ColorDef:n,LedColor:u,GaugeType:H,Orientation:ak,FrameDesign:av,PointerType:ah,ForegroundType:aq,KnobType:au,KnobStyle:N,LabelNumberFormat:s,TickLabelOrientation:R,TrendState:ap,Section:al}}());